!******************************************************************************!
!                                                                              !
!    fill_couplings4.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_couplings4.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-03-15 22:39             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_couplings4
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_couplings_mdl4()
      coupl(nGC_1765) = -cima*sb
      coupl(nGC_1766) = cb*cima
      coupl(nGC_1767) = 2d0*cima*gs**2d0
      coupl(nGC_1496) = -sqrt(2d0)*ca*cima/2d0
      coupl(nGC_2323) = -2d0*cima*ee*sw/(3d0*cw)
      coupl(nGC_1497) = -sqrt(2d0)*cima*(ca*ys2 - sa*yd12x2)/2d0
      coupl(nGC_2322) = -2d0*cb**2d0*cima*sb**2d0
      coupl(nGC_100) = cb**2d0*cima*ee**2d0/(2d0*sw**2d0) + cima*ee**2d0*sb**  &
                       2d0/(2d0*sw**2d0)
      coupl(nGC_101) = cb**2d0*cima*ee**2d0/sw**2d0 + cima*ee**2d0*sb**2d0/sw**&
                       2d0
      coupl(nGC_102) = -ca**2d0*cb**2d0*cima*l4/2d0 - ca**2d0*cb**2d0*cima*l5/ &
                       2d0 - ca**2d0*cima*ee**2d0*sb**2d0/(4d0*sw**2d0) + ca** &
                       2d0*cima*l4*sb**2d0/2d0 + ca**2d0*cima*l5*sb**2d0/2d0 + &
                       ca*cb*cima*ee**2d0*sa*sb/(2d0*sw**2d0) - ca*cb*cima*l1* &
                       sa*sb - ca*cb*cima*l2*sa*sb + 2d0*ca*cb*cima*l3*sa*sb - &
                       cb**2d0*cima*ee**2d0*sa**2d0/(4d0*sw**2d0) + cb**2d0*   &
                       cima*l4*sa**2d0/2d0 + cb**2d0*cima*l5*sa**2d0/2d0 - cima&
                       *l4*sa**2d0*sb**2d0/2d0 - cima*l5*sa**2d0*sb**2d0/2d0
      coupl(nGC_103) = -ca**2d0*cb**2d0*cima*l5 - ca**2d0*cima*ee**2d0*sb**2d0 &
                       /(4d0*sw**2d0) + ca**2d0*cima*l5*sb**2d0 - ca**2d0*cima*&
                       ee**2d0*sb**2d0/(4d0*cw**2d0) + ca*cb*cima*ee**2d0*sa*sb&
                       /(2d0*sw**2d0) - ca*cb*cima*l1*sa*sb - ca*cb*cima*l2*sa*&
                       sb + 2d0*ca*cb*cima*l3*sa*sb + 2d0*ca*cb*cima*l4*sa*sb  &
                        - 2d0*ca*cb*cima*l5*sa*sb + ca*cb*cima*ee**2d0*sa*sb/( &
                       2d0*cw**2d0) - cb**2d0*cima*ee**2d0*sa**2d0/(4d0*sw**2d0&
                       ) + cb**2d0*cima*l5*sa**2d0 - cb**2d0*cima*ee**2d0*sa** &
                       2d0/(4d0*cw**2d0) - cima*l5*sa**2d0*sb**2d0
      coupl(nGC_104) = -ca**2d0*cb**2d0*cima*l3 + ca**2d0*cima*ee**2d0*sb**2d0 &
                       /(4d0*sw**2d0) - ca**2d0*cima*l1*sb**2d0 - ca*cb*cima*ee&
                       **2d0*sa*sb/(2d0*sw**2d0) + 2d0*ca*cb*cima*l4*sa*sb +   &
                       2d0*ca*cb*cima*l5*sa*sb + cb**2d0*cima*ee**2d0*sa**2d0/(&
                       4d0*sw**2d0) - cb**2d0*cima*l2*sa**2d0 - cima*l3*sa**2d0&
                       *sb**2d0
      coupl(nGC_105) = -ca**2d0*cb**2d0*cima*l3 + ca**2d0*cima*ee**2d0*sb**2d0 &
                       /(4d0*sw**2d0) - ca**2d0*cima*l2*sb**2d0 - ca*cb*cima*ee&
                       **2d0*sa*sb/(2d0*sw**2d0) + 2d0*ca*cb*cima*l4*sa*sb +   &
                       2d0*ca*cb*cima*l5*sa*sb + cb**2d0*cima*ee**2d0*sa**2d0/(&
                       4d0*sw**2d0) - cb**2d0*cima*l1*sa**2d0 - cima*l3*sa**2d0&
                       *sb**2d0
      coupl(nGC_1555) = -cima*(cb*yb2 - sb*yd13x3)
      coupl(nGC_107) = -ca**2d0*cb**2d0*cima*l3 - ca**2d0*cb**2d0*cima*l4 + ca &
                       **2d0*cb**2d0*cima*l5 + ca**2d0*cima*ee**2d0*sb**2d0/(  &
                       4d0*sw**2d0) - ca**2d0*cima*l2*sb**2d0 + ca**2d0*cima*ee&
                       **2d0*sb**2d0/(4d0*cw**2d0) - ca*cb*cima*ee**2d0*sa*sb/(&
                       2d0*sw**2d0) + 4d0*ca*cb*cima*l5*sa*sb - ca*cb*cima*ee**&
                       2d0*sa*sb/(2d0*cw**2d0) + cb**2d0*cima*ee**2d0*sa**2d0/(&
                       4d0*sw**2d0) - cb**2d0*cima*l1*sa**2d0 + cb**2d0*cima*ee&
                       **2d0*sa**2d0/(4d0*cw**2d0) - cima*l3*sa**2d0*sb**2d0 - &
                       cima*l4*sa**2d0*sb**2d0 + cima*l5*sa**2d0*sb**2d0
      coupl(nGC_108) = -ca**2d0*cb**2d0*cima*l3 - ca**2d0*cima*ee**2d0*sb**2d0 &
                       /(2d0*sw**2d0) - ca**2d0*cima*l1*sb**2d0 + ca*cb*cima*ee&
                       **2d0*sa*sb/sw**2d0 + 2d0*ca*cb*cima*l4*sa*sb + 2d0*ca* &
                       cb*cima*l5*sa*sb - cb**2d0*cima*ee**2d0*sa**2d0/(2d0*sw &
                       **2d0) - cb**2d0*cima*l2*sa**2d0 - cima*l3*sa**2d0*sb** &
                       2d0
      coupl(nGC_109) = -ca**2d0*cb**2d0*cima*l3 - ca**2d0*cima*ee**2d0*sb**2d0 &
                       /(2d0*sw**2d0) - ca**2d0*cima*l2*sb**2d0 + ca*cb*cima*ee&
                       **2d0*sa*sb/sw**2d0 + 2d0*ca*cb*cima*l4*sa*sb + 2d0*ca* &
                       cb*cima*l5*sa*sb - cb**2d0*cima*ee**2d0*sa**2d0/(2d0*sw &
                       **2d0) - cb**2d0*cima*l1*sa**2d0 - cima*l3*sa**2d0*sb** &
                       2d0
      coupl(nGC_2329) = 8d0*cb*cima*sb*(cb**2d0*l1 - cb**2d0*l3 - cb**2d0*l4 - &
                        cb**2d0*l5 - l2*sb**2d0 + l3*sb**2d0 + l4*sb**2d0 + l5*&
                        sb**2d0)
      coupl(nGC_2328) = cima*sb
      coupl(nGC_1508) = 4d0*cima*cw**2d0*ee**2d0/sw**2d0
      coupl(nGC_1509) = 4d0*cima*cw*ee**2d0/sw**2d0
      coupl(nGC_1500) = -cb*cima
      coupl(nGC_1501) = -cima*sb
      coupl(nGC_1502) = 2d0*cima*(cb**4d0*l1 - cb**4d0*l3 - cb**4d0*l4 - cb**  &
                        4d0*l5 - 3d0*cb**2d0*l1*sb**2d0 - 3d0*cb**2d0*l2*sb**  &
                        2d0 + 6d0*cb**2d0*l3*sb**2d0 + 6d0*cb**2d0*l4*sb**2d0  &
                         + 6d0*cb**2d0*l5*sb**2d0 + l2*sb**4d0 - l3*sb**4d0 -  &
                        l4*sb**4d0 - l5*sb**4d0)
      coupl(nGC_1503) = -2d0*cb*cima*sb*(cb - sb)*(cb + sb)
      coupl(nGC_1505) = 2d0*cb**3d0*cima*sb
      coupl(nGC_1506) = -2d0*cb*cima*sb*(cb - sb)*(cb + sb)
      coupl(nGC_1507) = -2d0*cb*cima*sb*(cb - sb)*(cb + sb)
      coupl(nGC_1699) = 2d0*cima*ee
      coupl(nGC_1690) = sqrt(2d0)*cb/2d0
      coupl(nGC_1691) = -2d0*cima*ee
      coupl(nGC_1692) = -cima*ee**2d0*(ca*vev2 - sa*vev1)/sw**3d0
      coupl(nGC_1693) = -cima*ee**2d0*(ca*vev1 + sa*vev2)/(2d0*sw**2d0)
      coupl(nGC_1694) = -cima*ee**2d0*sa/(2d0*sw**2d0)
      coupl(nGC_1695) = ca*cima*ee**2d0/(2d0*sw**2d0)
      coupl(nGC_1696) = cima*ee**2d0*(ca*vev2 - sa*vev1)/sw**2d0
      coupl(nGC_2210) = (cb**2d0 + sb**2d0)*(cb*vev1 + sb*vev2)/2d0
      coupl(nGC_1988) = ee*(cw - sw)*(cw + sw)*(ca*sb - cb*sa)/(2d0*cw*sw**2d0)
      coupl(nGC_181) = ca*cb*cima*ee**2d0/(2d0*sw) + cima*ee**2d0*sa*sb/(2d0*sw)
      coupl(nGC_1984) = -ee*(cw**2d0 + sw**2d0)*(ca*cb + sa*sb)/(2d0*cw*sw)
      coupl(nGC_1985) = ee*(cw**2d0 + sw**2d0)*(ca*cb + sa*sb)/(2d0*cw*sw)
      coupl(nGC_1499) = -cima*(cb*ys2 - sb*yd12x2)
      coupl(nGC_1980) = cima*ee**2d0*(ca*vev1 + sa*vev2)/sw**2d0
      coupl(nGC_1981) = -sqrt(2d0)*(cb*ydo2 - sb*ydo1)/2d0
      coupl(nGC_1982) = -sqrt(2d0)*cb/2d0
      coupl(nGC_1983) = -sqrt(2d0)*sb/2d0
      coupl(nGC_813) = -coupl(nGC_200)/2d0
      coupl(nGC_811) = -coupl(nGC_218)
      coupl(nGC_817) = -coupl(nGC_3)
      coupl(nGC_815) = -2d0*coupl(nGC_183)
      coupl(nGC_819) = -coupl(nGC_377)
      coupl(nGC_1434) = -cima*sb
      coupl(nGC_1435) = -cima*(cb*ye2 - sb*ye1)
      coupl(nGC_1436) = -cb*cima
      coupl(nGC_1437) = -sqrt(2d0)*sb/2d0
      coupl(nGC_1346) = cima*(-cb**4d0*l2 + cb**4d0*l3 + cb**4d0*l4 + cb**4d0* &
                        l5 + 3d0*cb**2d0*l1*sb**2d0 + 3d0*cb**2d0*l2*sb**2d0 - &
                        6d0*cb**2d0*l3*sb**2d0 - 6d0*cb**2d0*l4*sb**2d0 - 6d0* &
                        cb**2d0*l5*sb**2d0 - l1*sb**4d0 + l3*sb**4d0 + l4*sb** &
                        4d0 + l5*sb**4d0)
      coupl(nGC_1347) = cb*cima*sb*(cb - sb)*(cb + sb)
      coupl(nGC_1344) = cima*(-ca*cb**2d0*l3*vev2 - ca*cb*l4*sb*vev1 - ca*cb*l5&
                        *sb*vev1 - ca*l2*sb**2d0*vev2 + cb**2d0*l1*sa*vev1 + cb&
                        *l4*sa*sb*vev2 + cb*l5*sa*sb*vev2 + l3*sa*sb**2d0*vev1)
      coupl(nGC_1345) = -cb*cima*sb*(ca*vev2 + sa*vev1)
      coupl(nGC_1348) = -cb**3d0*cima*sb
      coupl(nGC_1349) = cb*cima*sb**3d0
      coupl(nGC_1438) = -sqrt(2d0)*(cb*ye2 - sb*ye1)/2d0
      coupl(nGC_1439) = -sqrt(2d0)*cb/2d0
      coupl(nGC_1186) = -sqrt(2d0)*(cb*yc1 + sb*yc2)/2d0
      coupl(nGC_1187) = -sqrt(2d0)*sb/2d0
      coupl(nGC_1189) = ee**2d0*(cb**2d0 + sb**2d0)/cw
      coupl(nGC_929) = -coupl(nGC_14) + coupl(nGC_15)
      coupl(nGC_927) = -coupl(nGC_14) - coupl(nGC_15)
      coupl(nGC_925) = coupl(nGC_14) + coupl(nGC_15)
      coupl(nGC_923) = coupl(nGC_14) - coupl(nGC_15)
      coupl(nGC_921) = -coupl(nGC_214)
      coupl(nGC_611) = -cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0)*( &
                       ca*vev2 - sa*vev1)/(cw**2d0*sw**3d0)
      coupl(nGC_1615) = -cb*cima
      coupl(nGC_1619) = -cima*cw*ee/sw**2d0
      coupl(nGC_2394) = -cima*(cb - sb)**2d0*(cb + sb)**2d0
      coupl(nGC_2183) = -cima*sa*(3d0*ca**2d0*l2 - 2d0*ca**2d0*l3 - 2d0*ca**2d0&
                        *l4 - 2d0*ca**2d0*l5 + l3*sa**2d0 + l4*sa**2d0 + l5*sa &
                        **2d0)
      coupl(nGC_2185) = -3d0*ca**2d0*cima*sa*vev2
      coupl(nGC_2184) = -ca*cima*(ca**2d0*l3 + ca**2d0*l4 + ca**2d0*l5 + 3d0*l1&
                        *sa**2d0 - 2d0*l3*sa**2d0 - 2d0*l4*sa**2d0 - 2d0*l5*sa &
                        **2d0)
      coupl(nGC_2187) = -cima*(ca**3d0*vev1 - 2d0*ca**2d0*sa*vev2 - 2d0*ca*sa**&
                        2d0*vev1 + sa**3d0*vev2)
      coupl(nGC_2186) = -3d0*ca*cima*sa**2d0*vev1
      coupl(nGC_2189) = -cima*(3d0*ca**3d0*l2*vev2 - 2d0*ca**3d0*l3*vev2 - 2d0*&
                        ca**3d0*l4*vev2 - 2d0*ca**3d0*l5*vev2 + 6d0*ca**2d0*l1*&
                        sa*vev1 - 7d0*ca**2d0*l3*sa*vev1 - 7d0*ca**2d0*l4*sa*  &
                        vev1 - 7d0*ca**2d0*l5*sa*vev1 - 6d0*ca*l2*sa**2d0*vev2 &
                         + 7d0*ca*l3*sa**2d0*vev2 + 7d0*ca*l4*sa**2d0*vev2 +   &
                        7d0*ca*l5*sa**2d0*vev2 - 3d0*l1*sa**3d0*vev1 + 2d0*l3* &
                        sa**3d0*vev1 + 2d0*l4*sa**3d0*vev1 + 2d0*l5*sa**3d0*   &
                        vev1)
      coupl(nGC_2188) = -cima*(ca**3d0*vev1 - 2d0*ca**2d0*sa*vev2 - 2d0*ca*sa**&
                        2d0*vev1 + sa**3d0*vev2)
      coupl(nGC_1753) = -cima*ee**2d0*(cb*vev2 - sb*vev1)/sw
      coupl(nGC_1752) = -cb*cima*ee**2d0/(2d0*sw)
      coupl(nGC_2044) = 3d0*cima*sa**3d0*vev1
      coupl(nGC_2045) = 3d0*ca*cima*sa*(ca*vev1 - sa*vev2)
      coupl(nGC_2046) = 3d0*ca*cima*sa*(ca*vev1 - sa*vev2)
      coupl(nGC_2047) = 3d0*cima*(ca**3d0*l3*vev1 + ca**3d0*l4*vev1 + ca**3d0* &
                        l5*vev1 + 3d0*ca**2d0*l2*sa*vev2 - 2d0*ca**2d0*l3*sa*  &
                        vev2 - 2d0*ca**2d0*l4*sa*vev2 - 2d0*ca**2d0*l5*sa*vev2 &
                         + 3d0*ca*l1*sa**2d0*vev1 - 2d0*ca*l3*sa**2d0*vev1 -   &
                        2d0*ca*l4*sa**2d0*vev1 - 2d0*ca*l5*sa**2d0*vev1 + l3*sa&
                        **3d0*vev2 + l4*sa**3d0*vev2 + l5*sa**3d0*vev2)
      coupl(nGC_2040) = -sqrt(2d0)*cb/2d0
      coupl(nGC_2041) = -3d0*ca*cima*(ca**2d0*l2 + l3*sa**2d0 + l4*sa**2d0 + l5&
                        *sa**2d0)
      coupl(nGC_1758) = -cima*cw*ee**2d0/sw**2d0
      coupl(nGC_2042) = 3d0*cima*sa*(ca**2d0*l3 + ca**2d0*l4 + ca**2d0*l5 + l1*&
                        sa**2d0)
      coupl(nGC_1751) = cima*ee**2d0*sb/(2d0*sw)
      coupl(nGC_1750) = cima*ee**2d0*(ca**2d0 + sa**2d0)/sw**3d0
      coupl(nGC_1755) = cima*ee**2d0*(cb*vev1 + sb*vev2)/(2d0*sw)
      coupl(nGC_1754) = cima*ee**2d0*(cb*vev2 - sb*vev1)/(2d0*sw**2d0)
      coupl(nGC_1757) = cima*ee**2d0/sw
      coupl(nGC_1756) = 2d0*cima*cw*ee**2d0/sw
      coupl(nGC_119) = cb**2d0*cw*ee**2d0/(2d0*sw**2d0) + cb**2d0*ee**2d0/(2d0*&
                       cw) + cw*ee**2d0*sb**2d0/(2d0*sw**2d0) + ee**2d0*sb**2d0&
                       /(2d0*cw)
      coupl(nGC_118) = cb**2d0*cw*ee**2d0/(2d0*sw**2d0) - cb**2d0*ee**2d0/(2d0*&
                       cw) + cw*ee**2d0*sb**2d0/(2d0*sw**2d0) - ee**2d0*sb**2d0&
                       /(2d0*cw)
      coupl(nGC_117) = cb**2d0*cw*ee**2d0/(4d0*sw**2d0) + cb**2d0*ee**2d0/(4d0*&
                       cw) + cw*ee**2d0*sb**2d0/(4d0*sw**2d0) + ee**2d0*sb**2d0&
                       /(4d0*cw)
      coupl(nGC_116) = cb**2d0*cw*ee**2d0/(4d0*sw**2d0) - cb**2d0*ee**2d0/(4d0*&
                       cw) + cw*ee**2d0*sb**2d0/(4d0*sw**2d0) - ee**2d0*sb**2d0&
                       /(4d0*cw)
      coupl(nGC_115) = -cb**2d0*cw*ee**2d0/(4d0*sw**2d0) + cb**2d0*ee**2d0/(4d0&
                       *cw) - cw*ee**2d0*sb**2d0/(4d0*sw**2d0) + ee**2d0*sb**  &
                       2d0/(4d0*cw)
      coupl(nGC_114) = -cb**2d0*cw*ee**2d0/(4d0*sw**2d0) - cb**2d0*ee**2d0/(4d0&
                       *cw) - cw*ee**2d0*sb**2d0/(4d0*sw**2d0) - ee**2d0*sb**  &
                       2d0/(4d0*cw)
      coupl(nGC_113) = -cb**2d0*cw*ee**2d0/(2d0*sw**2d0) + cb**2d0*ee**2d0/(2d0&
                       *cw) - cw*ee**2d0*sb**2d0/(2d0*sw**2d0) + ee**2d0*sb**  &
                       2d0/(2d0*cw)
      coupl(nGC_112) = -cb**2d0*cw*ee**2d0/(2d0*sw**2d0) - cb**2d0*ee**2d0/(2d0&
                       *cw) - cw*ee**2d0*sb**2d0/(2d0*sw**2d0) - ee**2d0*sb**  &
                       2d0/(2d0*cw)
      coupl(nGC_111) = -ca**2d0*cb**2d0*cima*l3 - ca**2d0*cb**2d0*cima*l4 + ca &
                       **2d0*cb**2d0*cima*l5 - ca**2d0*cima*ee**2d0*sb**2d0/(  &
                       2d0*sw**2d0) - ca**2d0*cima*l2*sb**2d0 - ca**2d0*cima*ee&
                       **2d0*sb**2d0/(2d0*cw**2d0) + ca*cb*cima*ee**2d0*sa*sb/ &
                       sw**2d0 + 4d0*ca*cb*cima*l5*sa*sb + ca*cb*cima*ee**2d0* &
                       sa*sb/cw**2d0 - cb**2d0*cima*ee**2d0*sa**2d0/(2d0*sw**  &
                       2d0) - cb**2d0*cima*l1*sa**2d0 - cb**2d0*cima*ee**2d0*sa&
                       **2d0/(2d0*cw**2d0) - cima*l3*sa**2d0*sb**2d0 - cima*l4*&
                       sa**2d0*sb**2d0 + cima*l5*sa**2d0*sb**2d0
      coupl(nGC_110) = -ca**2d0*cb**2d0*cima*l3 - ca**2d0*cb**2d0*cima*l4 + ca &
                       **2d0*cb**2d0*cima*l5 - ca**2d0*cima*ee**2d0*sb**2d0/(  &
                       2d0*sw**2d0) - ca**2d0*cima*l1*sb**2d0 - ca**2d0*cima*ee&
                       **2d0*sb**2d0/(2d0*cw**2d0) + ca*cb*cima*ee**2d0*sa*sb/ &
                       sw**2d0 + 4d0*ca*cb*cima*l5*sa*sb + ca*cb*cima*ee**2d0* &
                       sa*sb/cw**2d0 - cb**2d0*cima*ee**2d0*sa**2d0/(2d0*sw**  &
                       2d0) - cb**2d0*cima*l2*sa**2d0 - cb**2d0*cima*ee**2d0*sa&
                       **2d0/(2d0*cw**2d0) - cima*l3*sa**2d0*sb**2d0 - cima*l4*&
                       sa**2d0*sb**2d0 + cima*l5*sa**2d0*sb**2d0
      coupl(nGC_801) = -coupl(nGC_353)
      coupl(nGC_803) = coupl(nGC_201)/2d0
      coupl(nGC_805) = -coupl(nGC_386)
      coupl(nGC_807) = -2d0*coupl(nGC_8)
      coupl(nGC_809) = -coupl(nGC_356)
      coupl(nGC_905) = -coupl(nGC_359)
      coupl(nGC_799) = coupl(nGC_5)/2d0
      coupl(nGC_797) = 2d0*coupl(nGC_15)
      coupl(nGC_793) = -coupl(nGC_380)
      coupl(nGC_839) = -coupl(nGC_201)/2d0
      coupl(nGC_835) = -2d0*coupl(nGC_213)
      coupl(nGC_837) = -coupl(nGC_205)
      coupl(nGC_831) = -2d0*coupl(nGC_178)
      coupl(nGC_833) = -coupl(nGC_205)/2d0
      coupl(nGC_909) = coupl(nGC_191)/2d0
      coupl(nGC_901) = -coupl(nGC_215)
      coupl(nGC_903) = -2d0*coupl(nGC_189)
      coupl(nGC_907) = -2d0*coupl(nGC_26)
      coupl(nGC_877) = -coupl(nGC_4)
      coupl(nGC_897) = -coupl(nGC_338)
      coupl(nGC_823) = -coupl(nGC_10)
      coupl(nGC_821) = coupl(nGC_10)/2d0
      coupl(nGC_827) = -coupl(nGC_374)
      coupl(nGC_825) = -coupl(nGC_5)/2d0
      coupl(nGC_917) = -coupl(nGC_11)/2d0
      coupl(nGC_915) = -coupl(nGC_6)/2d0
      coupl(nGC_913) = -2d0*coupl(nGC_216)
      coupl(nGC_911) = -coupl(nGC_191)
      coupl(nGC_919) = -2d0*coupl(nGC_217)
      coupl(nGC_881) = -coupl(nGC_335)
      coupl(nGC_883) = -coupl(nGC_198)
      coupl(nGC_885) = -coupl(nGC_12)
      coupl(nGC_789) = -2d0*coupl(nGC_194)
      coupl(nGC_841) = -coupl(nGC_383)
      coupl(nGC_857) = coupl(nGC_6)/2d0
    end subroutine fill_couplings_mdl4
end module fill_couplings4
