!******************************************************************************!
!                                                                              !
!    fill_ctcouplings2.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings2.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-03-15 22:39             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings2
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl2()
      coupl(nGC_TS_GC_62_Hl) = -coupl(nGC_62)*dtHl_QED1/cMHL**2d0
      coupl(nGC_TS_GC_62_Hh) = -coupl(nGC_62)*dtHh_QED1/cMHH**2d0
      coupl(nGC_3451) = coupl(nGC_210)*dZcL_QCD2
      coupl(nGC_3100) = coupl(nGC_1624)*db_QED2 + coupl(nGC_1625)*dytau2_QED3  &
                         + coupl(nGC_1626)*dytau1_QED3
      coupl(nGC_2548) = coupl(nGC_13)**2d0*coupl(nGC_341)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_TS_GC_34_Hl) = -coupl(nGC_34)*dtHl_QED1/cMHL**2d0
      coupl(nGC_2898) = cima*coupl(nGC_13)**2d0*sq2**2d0*(coupl(nGC_334)**2d0  &
                         + coupl(nGC_343)**2d0 + coupl(nGC_346)**2d0 + coupl(  &
                        nGC_364)**2d0 + coupl(nGC_370)**2d0 + coupl(nGC_382)** &
                        2d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_3547) = coupl(nGC_248)*(dZG0 + dZGMinus)/2d0
      coupl(nGC_3300) = -cima*dME_QED2
      coupl(nGC_3301) = -cima*dMM_QED2
      coupl(nGC_3302) = -cima*dMTA_QED2
      coupl(nGC_3304) = -cima*dMU_QCD2
      coupl(nGC_3305) = -cima*dMC_QED2
      coupl(nGC_3306) = -cima*dMC_QCD2
      coupl(nGC_3307) = -cima*dMT_QED2
      coupl(nGC_3308) = -cima*dMT_QCD2
      coupl(nGC_3309) = -cima*dMD_QED2
      coupl(nGC_3436) = coupl(nGC_193)*dZWMinus_QED2/2d0 + coupl(nGC_193)*     &
                        dZZ_QED2/2d0 + coupl(nGC_203)*dZAZ_QED2/2d0 + coupl(   &
                        nGC_3168)
      coupl(nGC_3434) = coupl(nGC_MI)*dZcL_QCD2
      coupl(nGC_3432) = coupl(nGC_3306) + coupl(nGC_MC)*dZcL_QCD2/2d0 + coupl( &
                        nGC_MC)*dZcR_QCD2/2d0
      coupl(nGC_3430) = coupl(nGC_MI)*dZcR_QCD2
      coupl(nGC_TS_GC_36_Hh) = -coupl(nGC_36)*dtHh_QED1/cMHH**2d0
      coupl(nGC_3438) = coupl(nGC_209)*dZbL_QCD2
      coupl(nGC_3439) = coupl(nGC_1)*dZAZ_QED2/2d0 + coupl(nGC_206)*dZZ_QED2/  &
                        2d0 + coupl(nGC_206)*dZbR_QED2 + coupl(nGC_3186)
      coupl(nGC_2433) = cima*(-coupl(nGC_1)**2d0 - coupl(nGC_206)**2d0)/(16d0* &
                        pi**2d0)
      coupl(nGC_2432) = cMB*cima*coupl(nGC_13)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(&
                        32d0*pi**2d0*Nc)
      coupl(nGC_2435) = cMC*cima*(-coupl(nGC_2)**2d0 - coupl(nGC_207)*coupl(   &
                        nGC_210))/(8d0*pi**2d0)
      coupl(nGC_2434) = cima*(-coupl(nGC_197)**2d0 - coupl(nGC_2)**2d0 - coupl(&
                        nGC_210)**2d0)/(16d0*pi**2d0)
      coupl(nGC_2437) = cima*(-coupl(nGC_2)**2d0 - coupl(nGC_207)**2d0)/(16d0* &
                        pi**2d0)
      coupl(nGC_2436) = cMC*cima*coupl(nGC_13)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(&
                        32d0*pi**2d0*Nc)
      coupl(nGC_2439) = cMD*cima*coupl(nGC_13)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(&
                        32d0*pi**2d0*Nc)
      coupl(nGC_2438) = cMD*cima*(-coupl(nGC_1)**2d0 - coupl(nGC_206)*coupl(   &
                        nGC_209))/(8d0*pi**2d0)
      coupl(nGC_3122) = coupl(nGC_1921)*dyup1_QED3 + coupl(nGC_1922)*da_QED2 + &
                        coupl(nGC_1923)*dyup2_QED3
      coupl(nGC_3123) = coupl(nGC_1921)*dyup1_QED1_QCD2 + coupl(nGC_1923)*     &
                        dyup2_QED1_QCD2
      coupl(nGC_2983) = coupl(nGC_1743)*db_QED2 + coupl(nGC_1744)*dl3_QED4 +   &
                        coupl(nGC_1745)*dl2_QED4 + coupl(nGC_1746)*dl1_QED4 +  &
                        coupl(nGC_1747)*dl4_QED4 + coupl(nGC_1748)*dl5_QED4
      coupl(nGC_3126) = coupl(nGC_1565)*da_QED2 + coupl(nGC_1566)*dyt1_QED3 +  &
                        coupl(nGC_1567)*dyt2_QED3
      coupl(nGC_3127) = coupl(nGC_1566)*dyt1_QED1_QCD2 + coupl(nGC_1567)*      &
                        dyt2_QED1_QCD2
      coupl(nGC_2982) = coupl(nGC_2125)*db_QED2 + coupl(nGC_2126)*dl3_QED4 +   &
                        coupl(nGC_2127)*dl2_QED4 + coupl(nGC_2128)*dl1_QED4 +  &
                        coupl(nGC_2129)*dl4_QED4 + coupl(nGC_2130)*dl5_QED4 +  &
                        coupl(nGC_2131)*da_QED2
      coupl(nGC_TS_GC_173_Hh) = -coupl(nGC_173)*dtHh_QED1/cMHH**2d0
      coupl(nGC_2987) = coupl(nGC_1936)*db_QED2 + coupl(nGC_1937)*dl3_QED4 +   &
                        coupl(nGC_1938)*dl2_QED4 + coupl(nGC_1939)*dl1_QED4 +  &
                        coupl(nGC_1940)*dl4_QED4 + coupl(nGC_1941)*dl5_QED4 +  &
                        coupl(nGC_1942)*da_QED2
      coupl(nGC_2454) = cMT*cima*coupl(nGC_13)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(&
                        32d0*pi**2d0*Nc)
      coupl(nGC_TS_GC_372_Hh) = -coupl(nGC_372)*dtHh_QED1/cMHH**2d0
      coupl(nGC_3050) = coupl(nGC_2262)*db_QED2 + coupl(nGC_2263)*dyup1_QED3 + &
                        coupl(nGC_2264)*dyup2_QED3
      coupl(nGC_3051) = coupl(nGC_2263)*dyup1_QED1_QCD2 + coupl(nGC_2264)*     &
                        dyup2_QED1_QCD2
      coupl(nGC_3052) = coupl(nGC_1385)*db_QED2 + coupl(nGC_1386)*dydo1_QED3 + &
                        coupl(nGC_1387)*dydo2_QED3
      coupl(nGC_3053) = coupl(nGC_1386)*dydo1_QED1_QCD2 + coupl(nGC_1387)*     &
                        dydo2_QED1_QCD2
      coupl(nGC_4010) = coupl(nGC_MZ_GF)*dZG0/2d0
      coupl(nGC_4013) = -coupl(nGC_172)*dZHMinusGMinus_QED2/2d0 + coupl(nGC_172&
                        )*dZHlHh_QED2/2d0 + coupl(nGC_178)*dZHh_QED2/2d0 +     &
                        coupl(nGC_178)*dZWMinus_QED2/2d0 + coupl(nGC_3148)
      coupl(nGC_4012) = coupl(nGC_MZ_GF)*dZG0Ha_QED2/2d0 - coupl(              &
                        nGC_TS_GC_214_Hh) - coupl(nGC_TS_GC_215_Hl)
      coupl(nGC_3058) = coupl(nGC_1571)*db_QED2 + coupl(nGC_1572)*dyt1_QED3 +  &
                        coupl(nGC_1573)*dyt2_QED3
      coupl(nGC_3059) = coupl(nGC_1572)*dyt1_QED1_QCD2 + coupl(nGC_1573)*      &
                        dyt2_QED1_QCD2
      coupl(nGC_4016) = -coupl(nGC_MMW_GF)*dZGMinus/2d0
      coupl(nGC_3159) = coupl(nGC_1713)*dZee_QED2
      coupl(nGC_3933) = -coupl(nGC_215)*dZG0/2d0
      coupl(nGC_3931) = -coupl(nGC_218)*dZGMinus
      coupl(nGC_3938) = coupl(nGC_58)*dZG0/2d0
      coupl(nGC_TS_GC_23_Hh) = -coupl(nGC_23)*dtHh_QED1/cMHH**2d0
      coupl(nGC_3849) = coupl(nGC_MI)*dZbR_QCD2
      coupl(nGC_3848) = coupl(nGC_MI)*dZbR_QED2
      coupl(nGC_3929) = -coupl(nGC_MI)*dZA_QED2
      coupl(nGC_3076) = coupl(nGC_1552)*db_QED2 + coupl(nGC_1553)*dyd12x2_QED3 &
                         + coupl(nGC_1554)*dys2_QED3
      coupl(nGC_2663) = coupl(nGC_13)**2d0*coupl(nGC_366)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_TS_GC_35_Hl) = -coupl(nGC_35)*dtHl_QED1/cMHL**2d0
      coupl(nGC_3928) = coupl(nGC_MI)*dZA_QED2
      coupl(nGC_2556) = coupl(nGC_13)**2d0*coupl(nGC_350)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_2554) = coupl(nGC_13)**2d0*coupl(nGC_843)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_2552) = coupl(nGC_13)**2d0*coupl(nGC_338)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_2553) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_843) + 8d0*coupl(     &
                        nGC_206)*coupl(nGC_209)*coupl(nGC_843) - coupl(nGC_345 &
                        )**2d0*coupl(nGC_350) - coupl(nGC_346)*coupl(nGC_382)* &
                        coupl(nGC_386) - coupl(nGC_348)**2d0*coupl(nGC_350) -  &
                        coupl(nGC_349)*coupl(nGC_385)*coupl(nGC_386) - coupl(  &
                        nGC_350)*coupl(nGC_843)**2d0 - coupl(nGC_350)*coupl(   &
                        nGC_853)**2d0)/(32d0*pi**2d0)
      coupl(nGC_2559) = (8d0*coupl(nGC_208)*coupl(nGC_211)*coupl(nGC_362) -    &
                        coupl(nGC_357)**2d0*coupl(nGC_865) - coupl(nGC_359)**  &
                        2d0*coupl(nGC_865) - coupl(nGC_360)**2d0*coupl(nGC_865 &
                        ) - coupl(nGC_362)**2d0*coupl(nGC_865) + 8d0*coupl(    &
                        nGC_362)*coupl(nGC_4)**2d0)/(32d0*pi**2d0)
      coupl(nGC_2917) = (-8d0*Nc*cima*coupl(nGC_206)**2d0*coupl(nGC_339)**2d0  &
                         - 8d0*Nc*cima*coupl(nGC_206)**2d0*coupl(nGC_348)**2d0 &
                         - 8d0*Nc*cima*coupl(nGC_206)**2d0*coupl(nGC_366)**2d0 &
                         + 10d0*Nc*cima*coupl(nGC_206)*coupl(nGC_209)*coupl(   &
                        nGC_339)**2d0 + 10d0*Nc*cima*coupl(nGC_206)*coupl(     &
                        nGC_209)*coupl(nGC_348)**2d0 + 10d0*Nc*cima*coupl(     &
                        nGC_206)*coupl(nGC_209)*coupl(nGC_366)**2d0 - 8d0*Nc*  &
                        cima*coupl(nGC_207)**2d0*coupl(nGC_336)**2d0 - 8d0*Nc* &
                        cima*coupl(nGC_207)**2d0*coupl(nGC_372)**2d0 - 8d0*Nc* &
                        cima*coupl(nGC_207)**2d0*coupl(nGC_384)**2d0 + 10d0*Nc*&
                        cima*coupl(nGC_207)*coupl(nGC_210)*coupl(nGC_336)**2d0 &
                         + 10d0*Nc*cima*coupl(nGC_207)*coupl(nGC_210)*coupl(   &
                        nGC_372)**2d0 + 10d0*Nc*cima*coupl(nGC_207)*coupl(     &
                        nGC_210)*coupl(nGC_384)**2d0 - 8d0*Nc*cima*coupl(      &
                        nGC_209)**2d0*coupl(nGC_339)**2d0 - 8d0*Nc*cima*coupl( &
                        nGC_209)**2d0*coupl(nGC_348)**2d0 - 8d0*Nc*cima*coupl( &
                        nGC_209)**2d0*coupl(nGC_366)**2d0 - 8d0*Nc*cima*coupl( &
                        nGC_210)**2d0*coupl(nGC_336)**2d0 - 8d0*Nc*cima*coupl( &
                        nGC_210)**2d0*coupl(nGC_372)**2d0 - 8d0*Nc*cima*coupl( &
                        nGC_210)**2d0*coupl(nGC_384)**2d0 + 3d0*cima*coupl(    &
                        nGC_195)*coupl(nGC_77) - 8d0*cima*coupl(nGC_208)**2d0* &
                        coupl(nGC_354)**2d0 - 8d0*cima*coupl(nGC_208)**2d0*    &
                        coupl(nGC_360)**2d0 - 8d0*cima*coupl(nGC_208)**2d0*    &
                        coupl(nGC_378)**2d0 + 10d0*cima*coupl(nGC_208)*coupl(  &
                        nGC_211)*coupl(nGC_354)**2d0 + 10d0*cima*coupl(nGC_208 &
                        )*coupl(nGC_211)*coupl(nGC_360)**2d0 + 10d0*cima*coupl(&
                        nGC_208)*coupl(nGC_211)*coupl(nGC_378)**2d0 - 8d0*cima*&
                        coupl(nGC_211)**2d0*coupl(nGC_354)**2d0 - 8d0*cima*    &
                        coupl(nGC_211)**2d0*coupl(nGC_360)**2d0 - 8d0*cima*    &
                        coupl(nGC_211)**2d0*coupl(nGC_378)**2d0 + 3d0*coupl(   &
                        nGC_199)**2d0*coupl(nGC_77) + 3d0*coupl(nGC_77)*coupl( &
                        nGC_847)**2d0)/(24d0*pi**2d0)
      coupl(nGC_TS_GC_351_Hl) = -coupl(nGC_351)*dtHl_QED1/cMHL**2d0
      coupl(nGC_2914) = cima*coupl(nGC_197)**2d0*(-Nc*coupl(nGC_333)*coupl(    &
                        nGC_336) - Nc*coupl(nGC_339)*coupl(nGC_342) - Nc*coupl(&
                        nGC_345)*coupl(nGC_348) - Nc*coupl(nGC_363)*coupl(     &
                        nGC_366) - Nc*coupl(nGC_369)*coupl(nGC_372) - Nc*coupl(&
                        nGC_381)*coupl(nGC_384) - coupl(nGC_351)*coupl(nGC_354 &
                        ) - coupl(nGC_357)*coupl(nGC_360) - coupl(nGC_375)*    &
                        coupl(nGC_378))/(6d0*pi**2d0)
      coupl(nGC_TS_GC_42_Hh) = -coupl(nGC_42)*dtHh_QED1/cMHH**2d0
      coupl(nGC_2888) = cima*(5d0*Nc*coupl(nGC_333)*coupl(nGC_334)**2d0*coupl( &
                        nGC_336) + 5d0*Nc*coupl(nGC_333)*coupl(nGC_334)*coupl( &
                        nGC_364)*coupl(nGC_366) + 5d0*Nc*coupl(nGC_333)*coupl( &
                        nGC_336)*coupl(nGC_364)**2d0 + 5d0*Nc*coupl(nGC_334)** &
                        2d0*coupl(nGC_363)*coupl(nGC_366) + 5d0*Nc*coupl(      &
                        nGC_334)*coupl(nGC_336)*coupl(nGC_363)*coupl(nGC_364   &
                        ) + 5d0*Nc*coupl(nGC_339)*coupl(nGC_342)*coupl(nGC_343 &
                        )**2d0 + 5d0*Nc*coupl(nGC_339)*coupl(nGC_342)*coupl(   &
                        nGC_370)**2d0 + 5d0*Nc*coupl(nGC_339)*coupl(nGC_343)*  &
                        coupl(nGC_369)*coupl(nGC_370) + 5d0*Nc*coupl(nGC_342)* &
                        coupl(nGC_343)*coupl(nGC_370)*coupl(nGC_372) + 5d0*Nc* &
                        coupl(nGC_343)**2d0*coupl(nGC_369)*coupl(nGC_372) + 5d0&
                        *Nc*coupl(nGC_345)*coupl(nGC_346)**2d0*coupl(nGC_348   &
                        ) + 5d0*Nc*coupl(nGC_345)*coupl(nGC_346)*coupl(nGC_382 &
                        )*coupl(nGC_384) + 5d0*Nc*coupl(nGC_345)*coupl(nGC_348 &
                        )*coupl(nGC_382)**2d0 + 5d0*Nc*coupl(nGC_346)**2d0*    &
                        coupl(nGC_381)*coupl(nGC_384) + 5d0*Nc*coupl(nGC_346)* &
                        coupl(nGC_348)*coupl(nGC_381)*coupl(nGC_382) + 5d0*Nc* &
                        coupl(nGC_363)*coupl(nGC_364)**2d0*coupl(nGC_366) + 5d0&
                        *Nc*coupl(nGC_369)*coupl(nGC_370)**2d0*coupl(nGC_372   &
                        ) + 5d0*Nc*coupl(nGC_381)*coupl(nGC_382)**2d0*coupl(   &
                        nGC_384) + 6d0*coupl(nGC_175)*coupl(nGC_180) + 6d0*    &
                        coupl(nGC_22)*coupl(nGC_23) + 5d0*coupl(nGC_351)*coupl(&
                        nGC_352)**2d0*coupl(nGC_354) + 5d0*coupl(nGC_357)*coupl&
                        (nGC_358)**2d0*coupl(nGC_360) + 5d0*coupl(nGC_375)*    &
                        coupl(nGC_376)**2d0*coupl(nGC_378))/(24d0*pi**2d0)
      coupl(nGC_2913) = cima*(20d0*Nc*coupl(nGC_333)**2d0*coupl(nGC_336)**2d0  &
                         + 20d0*Nc*coupl(nGC_339)**2d0*coupl(nGC_342)**2d0 +   &
                        20d0*Nc*coupl(nGC_345)**2d0*coupl(nGC_348)**2d0 + 20d0*&
                        Nc*coupl(nGC_363)**2d0*coupl(nGC_366)**2d0 + 20d0*Nc*  &
                        coupl(nGC_369)**2d0*coupl(nGC_372)**2d0 + 20d0*Nc*coupl&
                        (nGC_381)**2d0*coupl(nGC_384)**2d0 + coupl(nGC_224)**  &
                        2d0 + 20d0*coupl(nGC_351)**2d0*coupl(nGC_354)**2d0 +   &
                        20d0*coupl(nGC_357)**2d0*coupl(nGC_360)**2d0 + 20d0*   &
                        coupl(nGC_375)**2d0*coupl(nGC_378)**2d0 + 2d0*coupl(   &
                        nGC_77)**2d0)/(16d0*pi**2d0)
      coupl(nGC_3335) = coupl(nGC_211)*dZZ_QED2/2d0 + coupl(nGC_211)*          &
                        dZeMinusL_QED2 + coupl(nGC_3189) + coupl(nGC_4)*       &
                        dZAZ_QED2/2d0
      coupl(nGC_2546) = coupl(nGC_13)**2d0*coupl(nGC_895)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_3331) = coupl(nGC_174)*dZGMinusHMinus_QED2/2d0 + coupl(nGC_175 &
                        )*dZHhHl_QED2/2d0 + coupl(nGC_180)*dZA_QED2/2d0 + coupl&
                        (nGC_180)*dZHMinus_QED2/2d0 + coupl(nGC_180)*dZHl_QED2/&
                        2d0 + coupl(nGC_180)*dZWMinus_QED2/2d0 + coupl(nGC_23)*&
                        dZZA_QED2/2d0 + coupl(nGC_3142)
      coupl(nGC_3330) = coupl(nGC_227)*dZG0
      coupl(nGC_3333) = coupl(nGC_54)*dZG0/2d0
      coupl(nGC_3115) = coupl(nGC_1136)*db_QED2 + coupl(nGC_1137)*dytau2_QED3  &
                         + coupl(nGC_1138)*dytau1_QED3
      coupl(nGC_3114) = coupl(nGC_2135)*db_QED2 + coupl(nGC_2136)*dym1_QED3 +  &
                        coupl(nGC_2137)*dym2_QED3
      coupl(nGC_3117) = coupl(nGC_1321)*dyup1_QED1_QCD2 + coupl(nGC_1322)*     &
                        dyup2_QED1_QCD2
      coupl(nGC_3116) = coupl(nGC_1320)*db_QED2 + coupl(nGC_1321)*dyup1_QED3 + &
                        coupl(nGC_1322)*dyup2_QED3
      coupl(nGC_3111) = coupl(nGC_1816)*da_QED2 + coupl(nGC_1817)*dym1_QED3 +  &
                        coupl(nGC_1818)*dym2_QED3
      coupl(nGC_3110) = coupl(nGC_1388)*dye2_QED3 + coupl(nGC_1389)*da_QED2 +  &
                        coupl(nGC_1390)*dye1_QED3
      coupl(nGC_3113) = coupl(nGC_1406)*dye2_QED3 + coupl(nGC_1407)*db_QED2 +  &
                        coupl(nGC_1408)*dye1_QED3
      coupl(nGC_3112) = coupl(nGC_1779)*dytau2_QED3 + coupl(nGC_1780)*         &
                        dytau1_QED3 + coupl(nGC_1781)*da_QED2
      coupl(nGC_3449) = coupl(nGC_227)*(dZG0Ha_QED2 + dZHaG0_QED2)/2d0
      coupl(nGC_3448) = dZGMinusHMinus_QED2*(coupl(nGC_247) + coupl(nGC_248))/ &
                        2d0
      coupl(nGC_3119) = coupl(nGC_2146)*dyc1_QED1_QCD2 + coupl(nGC_2147)*      &
                        dyc2_QED1_QCD2
      coupl(nGC_3118) = coupl(nGC_2145)*db_QED2 + coupl(nGC_2146)*dyc1_QED3 +  &
                        coupl(nGC_2147)*dyc2_QED3
      coupl(nGC_3685) = coupl(nGC_13)*dZg_QCD2/2d0 + coupl(nGC_13)*dZsL_QCD2 + &
                        coupl(nGC_3181)
      coupl(nGC_3684) = coupl(nGC_76)*(dZHhHl_QED2 + dZHlHh_QED2)/2d0
      coupl(nGC_3687) = coupl(nGC_13)*dZg_QCD2/2d0 + coupl(nGC_13)*dZsR_QCD2 + &
                        coupl(nGC_3181)
      coupl(nGC_3686) = coupl(nGC_13)*dZsL_QED2
      coupl(nGC_3680) = coupl(nGC_71)*dZGMinus
      coupl(nGC_2428) = (Nc*cMB**2d0*cima*coupl(nGC_206)**2d0 + Nc*cMB**2d0*   &
                        cima*coupl(nGC_209)**2d0 + Nc*cMC**2d0*cima*coupl(     &
                        nGC_207)**2d0 + Nc*cMC**2d0*cima*coupl(nGC_210)**2d0 + &
                        Nc*cMD**2d0*cima*coupl(nGC_206)**2d0 + Nc*cMD**2d0*cima&
                        *coupl(nGC_209)**2d0 + Nc*cMS**2d0*cima*coupl(nGC_206  &
                        )**2d0 + Nc*cMS**2d0*cima*coupl(nGC_209)**2d0 + Nc*cMT &
                        **2d0*cima*coupl(nGC_207)**2d0 + Nc*cMT**2d0*cima*coupl&
                        (nGC_210)**2d0 + Nc*cMU**2d0*cima*coupl(nGC_207)**2d0  &
                         + Nc*cMU**2d0*cima*coupl(nGC_210)**2d0 + cME**2d0*cima&
                        *coupl(nGC_208)**2d0 + cME**2d0*cima*coupl(nGC_211)**  &
                        2d0 + cMM**2d0*cima*coupl(nGC_208)**2d0 + cMM**2d0*cima&
                        *coupl(nGC_211)**2d0 + cMTA**2d0*cima*coupl(nGC_208)** &
                        2d0 + cMTA**2d0*cima*coupl(nGC_211)**2d0 + cMW**2d0*   &
                        cima*coupl(nGC_199)**2d0 + cMW**2d0*cima*coupl(nGC_847 &
                        )**2d0 - cMW**2d0*coupl(nGC_195))/(8d0*pi**2d0)
      coupl(nGC_2429) = cima*coupl(nGC_13)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(64d0&
                        *pi**2d0*Nc)
      coupl(nGC_2426) = cima*(-3d0*Nc*coupl(nGC_206)**2d0 - 3d0*Nc*coupl(      &
                        nGC_207)**2d0 - 3d0*Nc*coupl(nGC_209)**2d0 - 3d0*Nc*   &
                        coupl(nGC_210)**2d0 - coupl(nGC_199)**2d0 - 3d0*coupl( &
                        nGC_208)**2d0 - 3d0*coupl(nGC_211)**2d0 - 3d0*coupl(   &
                        nGC_212)**2d0 - coupl(nGC_847)**2d0)/(48d0*pi**2d0)
      coupl(nGC_2427) = cima*(coupl(nGC_199)**2d0 + coupl(nGC_847)**2d0)/(48d0*&
                        pi**2d0)
      coupl(nGC_2422) = (-4d0*Nc*cMB**2d0*cima*coupl(nGC_342)**2d0 - 4d0*Nc*cMC&
                        **2d0*cima*coupl(nGC_333)**2d0 - 4d0*Nc*cMD**2d0*cima* &
                        coupl(nGC_345)**2d0 - 4d0*Nc*cMS**2d0*cima*coupl(      &
                        nGC_363)**2d0 - 4d0*Nc*cMT**2d0*cima*coupl(nGC_369)**  &
                        2d0 - 4d0*Nc*cMU**2d0*cima*coupl(nGC_381)**2d0 - 4d0*  &
                        cME**2d0*cima*coupl(nGC_351)**2d0 - 4d0*cMM**2d0*cima* &
                        coupl(nGC_357)**2d0 - 4d0*cMTA**2d0*cima*coupl(nGC_375 &
                        )**2d0 - 2d0*cMW**2d0*coupl(nGC_77) - cMZ**2d0*coupl(  &
                        nGC_224) + 2d0*cima*coupl(nGC_261)**2d0 + cima*coupl(  &
                        nGC_329)**2d0)/(16d0*pi**2d0)
      coupl(nGC_2420) = cima*(-4d0*Nc*cMB**2d0*coupl(nGC_339)*coupl(nGC_342) - &
                        4d0*Nc*cMC**2d0*coupl(nGC_333)*coupl(nGC_336) - 4d0*Nc*&
                        cMD**2d0*coupl(nGC_345)*coupl(nGC_348) - 4d0*Nc*cMS**  &
                        2d0*coupl(nGC_363)*coupl(nGC_366) - 4d0*Nc*cMT**2d0*   &
                        coupl(nGC_369)*coupl(nGC_372) - 4d0*Nc*cMU**2d0*coupl( &
                        nGC_381)*coupl(nGC_384) - 4d0*cME**2d0*coupl(nGC_351)* &
                        coupl(nGC_354) - 4d0*cMM**2d0*coupl(nGC_357)*coupl(    &
                        nGC_360) - 4d0*cMTA**2d0*coupl(nGC_375)*coupl(nGC_378  &
                        ) + 2d0*coupl(nGC_261)*coupl(nGC_272) + coupl(nGC_329)*&
                        coupl(nGC_332))/(16d0*pi**2d0)
      coupl(nGC_2421) = cima*(Nc*coupl(nGC_333)**2d0 + Nc*coupl(nGC_342)**2d0  &
                         + Nc*coupl(nGC_345)**2d0 + Nc*coupl(nGC_363)**2d0 + Nc&
                        *coupl(nGC_369)**2d0 + Nc*coupl(nGC_381)**2d0 + coupl( &
                        nGC_351)**2d0 + coupl(nGC_357)**2d0 + coupl(nGC_375)** &
                        2d0)/(24d0*pi**2d0)
      coupl(nGC_3149) = coupl(nGC_1738)*dZee_QED2
      coupl(nGC_TS_GC_243_Hl) = -coupl(nGC_243)*dtHl_QED1/cMHL**2d0
      coupl(nGC_4004) = coupl(nGC_MW_GF)*dZGMinus/2d0
      coupl(nGC_4002) = -coupl(nGC_26)*dZGMinus
      coupl(nGC_4003) = coupl(nGC_MI)*dZnu_tauL_QED2
      coupl(nGC_4000) = coupl(nGC_I)*(dZHhHl_QED2 + dZHlHh_QED2)/2d0
      coupl(nGC_4001) = -coupl(nGC_218)*dZZA_QED2/2d0 - coupl(nGC_26)*dZA_QED2/&
                        2d0 - coupl(nGC_3044)
      coupl(nGC_2442) = cME*cima*(-coupl(nGC_208)*coupl(nGC_211) - coupl(nGC_4 &
                        )**2d0)/(8d0*pi**2d0)
      coupl(nGC_3061) = coupl(nGC_1556)*dyd13x3_QED1_QCD2 + coupl(nGC_1557)*   &
                        dyb2_QED1_QCD2
      coupl(nGC_3063) = coupl(nGC_2078)*dydo1_QED1_QCD2 + coupl(nGC_2079)*     &
                        dydo2_QED1_QCD2
      coupl(nGC_3062) = coupl(nGC_2077)*db_QED2 + coupl(nGC_2078)*dydo1_QED3 + &
                        coupl(nGC_2079)*dydo2_QED3
      coupl(nGC_3067) = coupl(nGC_1596)*dyc1_QED1_QCD2 + coupl(nGC_1597)*      &
                        dyc2_QED1_QCD2
      coupl(nGC_3066) = coupl(nGC_1595)*db_QED2 + coupl(nGC_1596)*dyc1_QED3 +  &
                        coupl(nGC_1597)*dyc2_QED3
      coupl(nGC_3069) = coupl(nGC_1485)*dyd12x2_QED1_QCD2 + coupl(nGC_1486)*   &
                        dys2_QED1_QCD2
      coupl(nGC_3068) = coupl(nGC_1484)*db_QED2 + coupl(nGC_1485)*dyd12x2_QED3 &
                         + coupl(nGC_1486)*dys2_QED3
      coupl(nGC_3591) = coupl(nGC_47)*dZG0/2d0
      coupl(nGC_3593) = coupl(nGC_224)*dZZA_QED2/2d0
      coupl(nGC_3592) = coupl(nGC_2982) + coupl(nGC_35)*dZG0Ha_QED2/2d0 + coupl&
                        (nGC_36)*dZHaG0_QED2/2d0 + coupl(nGC_38)*dZHlHh_QED2/  &
                        2d0 + coupl(nGC_39)*dZHhHl_QED2/2d0 + coupl(nGC_47)*   &
                        dZHa_QED2/2d0 + coupl(nGC_47)*dZHh_QED2/2d0 + coupl(   &
                        nGC_47)*dZHl_QED2/2d0
      coupl(nGC_3596) = coupl(nGC_356)*dZG0/2d0
      coupl(nGC_3598) = -coupl(nGC_356)*dZG0/2d0
      coupl(nGC_2968) = coupl(nGC_2049)*db_QED2 + coupl(nGC_2050)*dl3_QED4 +   &
                        coupl(nGC_2051)*dl2_QED4 + coupl(nGC_2052)*dl1_QED4 +  &
                        coupl(nGC_2053)*dl4_QED4 + coupl(nGC_2054)*dl5_QED4 +  &
                        coupl(nGC_2055)*da_QED2
      coupl(nGC_2951) = coupl(nGC_1627)*dZee_QED2 + coupl(nGC_1628)*dcw_QED2 + &
                        coupl(nGC_1629)*dsw_QED2
      coupl(nGC_3920) = -coupl(nGC_3076) - coupl(nGC_365)*dZHaG0_QED2/2d0 -    &
                        coupl(nGC_368)*dZsL_QED2/2d0 - coupl(nGC_368)*dZsR_QED2&
                        /2d0
      coupl(nGC_3922) = -coupl(nGC_368)*dZG0/2d0
      coupl(nGC_3926) = -coupl(nGC_MW_GF)*dZGMinus/2d0
      coupl(nGC_TS_GC_63_Hl) = -coupl(nGC_63)*dtHl_QED1/cMHL**2d0
      coupl(nGC_2954) = coupl(nGC_1887)*dZee_QED2
      coupl(nGC_3853) = coupl(nGC_MI)*dZbL_QCD2
      coupl(nGC_2955) = coupl(nGC_1819)*dZee_QED2 + coupl(nGC_1820)*dcw_QED2 + &
                        coupl(nGC_1821)*dsw_QED2
      coupl(nGC_TS_GC_242_Hl) = -coupl(nGC_242)*dtHl_QED1/cMHL**2d0
      coupl(nGC_3419) = coupl(nGC_181)*dZGMinus/2d0
      coupl(nGC_2576) = (2d0*Nc*cMB*coupl(nGC_342)*coupl(nGC_343)**2d0 + 2d0*Nc&
                        *cMB*coupl(nGC_342)*coupl(nGC_370)**2d0 + 2d0*Nc*cMB*  &
                        coupl(nGC_343)*coupl(nGC_369)*coupl(nGC_370) + 2d0*Nc* &
                        cMC*coupl(nGC_333)*coupl(nGC_334)**2d0 + 2d0*Nc*cMC*   &
                        coupl(nGC_333)*coupl(nGC_364)**2d0 + 2d0*Nc*cMC*coupl( &
                        nGC_334)*coupl(nGC_363)*coupl(nGC_364) + 2d0*Nc*cMD*   &
                        coupl(nGC_345)*coupl(nGC_346)**2d0 + 2d0*Nc*cMD*coupl( &
                        nGC_345)*coupl(nGC_382)**2d0 + 2d0*Nc*cMD*coupl(nGC_346&
                        )*coupl(nGC_381)*coupl(nGC_382) + 2d0*Nc*cMS*coupl(    &
                        nGC_333)*coupl(nGC_334)*coupl(nGC_364) + 2d0*Nc*cMS*   &
                        coupl(nGC_334)**2d0*coupl(nGC_363) + 2d0*Nc*cMS*coupl( &
                        nGC_363)*coupl(nGC_364)**2d0 + 2d0*Nc*cMT*coupl(nGC_342&
                        )*coupl(nGC_343)*coupl(nGC_370) + 2d0*Nc*cMT*coupl(    &
                        nGC_343)**2d0*coupl(nGC_369) + 2d0*Nc*cMT*coupl(nGC_369&
                        )*coupl(nGC_370)**2d0 + 2d0*Nc*cMU*coupl(nGC_345)*coupl&
                        (nGC_346)*coupl(nGC_382) + 2d0*Nc*cMU*coupl(nGC_346)** &
                        2d0*coupl(nGC_381) + 2d0*Nc*cMU*coupl(nGC_381)*coupl(  &
                        nGC_382)**2d0 + 2d0*cME*coupl(nGC_351)*coupl(nGC_352)**&
                        2d0 + 2d0*cMM*coupl(nGC_357)*coupl(nGC_358)**2d0 + 2d0*&
                        cMTA*coupl(nGC_375)*coupl(nGC_376)**2d0 + 2d0*cima*    &
                        coupl(nGC_100)*coupl(nGC_261) + 4d0*cima*coupl(nGC_180 &
                        )*coupl(nGC_321) + cima*coupl(nGC_229)*coupl(nGC_329   &
                        ) + 4d0*cima*coupl(nGC_23)*coupl(nGC_231))/(16d0*pi**  &
                        2d0)
      coupl(nGC_2958) = coupl(nGC_2351)*db_QED2 + coupl(nGC_2352)*dl3_QED4 +   &
                        coupl(nGC_2353)*dl2_QED4 + coupl(nGC_2354)*dl1_QED4 +  &
                        coupl(nGC_2355)*dl4_QED4 + coupl(nGC_2356)*dl5_QED4
      coupl(nGC_2822) = cima*(10d0*Nc*coupl(nGC_333)**2d0*coupl(nGC_337)**2d0  &
                         + 10d0*Nc*coupl(nGC_333)**2d0*coupl(nGC_367)**2d0 +   &
                        20d0*Nc*coupl(nGC_333)*coupl(nGC_337)*coupl(nGC_363)*  &
                        coupl(nGC_367) + 10d0*Nc*coupl(nGC_337)**2d0*coupl(    &
                        nGC_363)**2d0 + 10d0*Nc*coupl(nGC_340)**2d0*coupl(     &
                        nGC_342)**2d0 + 10d0*Nc*coupl(nGC_340)**2d0*coupl(     &
                        nGC_369)**2d0 + 20d0*Nc*coupl(nGC_340)*coupl(nGC_342)* &
                        coupl(nGC_369)*coupl(nGC_373) + 10d0*Nc*coupl(nGC_342  &
                        )**2d0*coupl(nGC_373)**2d0 + 10d0*Nc*coupl(nGC_345)**  &
                        2d0*coupl(nGC_349)**2d0 + 10d0*Nc*coupl(nGC_345)**2d0* &
                        coupl(nGC_385)**2d0 + 20d0*Nc*coupl(nGC_345)*coupl(    &
                        nGC_349)*coupl(nGC_381)*coupl(nGC_385) + 10d0*Nc*coupl(&
                        nGC_349)**2d0*coupl(nGC_381)**2d0 + 10d0*Nc*coupl(     &
                        nGC_363)**2d0*coupl(nGC_367)**2d0 + 10d0*Nc*coupl(     &
                        nGC_369)**2d0*coupl(nGC_373)**2d0 + 10d0*Nc*coupl(     &
                        nGC_381)**2d0*coupl(nGC_385)**2d0 + 6d0*coupl(nGC_100)*&
                        coupl(nGC_77) + 12d0*coupl(nGC_174)**2d0 + 12d0*coupl( &
                        nGC_21)**2d0 + 3d0*coupl(nGC_224)*coupl(nGC_229) + 10d0&
                        *coupl(nGC_351)**2d0*coupl(nGC_355)**2d0 + 10d0*coupl( &
                        nGC_357)**2d0*coupl(nGC_361)**2d0 + 10d0*coupl(nGC_375 &
                        )**2d0*coupl(nGC_379)**2d0)/(48d0*pi**2d0)
      coupl(nGC_2704) = coupl(nGC_197)*(2d0*coupl(nGC_1)*coupl(nGC_2) - coupl( &
                        nGC_1)*coupl(nGC_3) - coupl(nGC_199)*coupl(nGC_209) -  &
                        coupl(nGC_2)*coupl(nGC_817) + 2d0*coupl(nGC_209)*coupl(&
                        nGC_210) - coupl(nGC_210)*coupl(nGC_847))/(16d0*pi**2d0&
                        )
      coupl(nGC_2959) = coupl(nGC_2317)*db_QED2 + coupl(nGC_2318)*dl3_QED4 +   &
                        coupl(nGC_2319)*dl2_QED4 + coupl(nGC_2320)*dl1_QED4 +  &
                        coupl(nGC_2321)*dl4_QED4 + coupl(nGC_2322)*dl5_QED4
      coupl(nGC_2521) = coupl(nGC_208)*coupl(nGC_212)*coupl(nGC_379)/(4d0*pi** &
                        2d0)
      coupl(nGC_2520) = coupl(nGC_208)*coupl(nGC_212)*coupl(nGC_361)/(4d0*pi** &
                        2d0)
      coupl(nGC_2527) = coupl(nGC_197)*(-Nc*coupl(nGC_336)*coupl(nGC_337) + Nc*&
                        coupl(nGC_339)*coupl(nGC_340) + Nc*coupl(nGC_348)*coupl&
                        (nGC_349) + Nc*coupl(nGC_366)*coupl(nGC_367) - Nc*coupl&
                        (nGC_372)*coupl(nGC_373) - Nc*coupl(nGC_384)*coupl(    &
                        nGC_385) + coupl(nGC_354)*coupl(nGC_355) + coupl(      &
                        nGC_360)*coupl(nGC_361) + coupl(nGC_378)*coupl(nGC_379 &
                        ))/(24d0*pi**2d0)
      coupl(nGC_3414) = coupl(nGC_3039) + coupl(nGC_322)*dZHMinus_QED2/2d0 +   &
                        coupl(nGC_325)*dZGMinusHMinus_QED2/2d0
      coupl(nGC_2528) = coupl(nGC_197)*(-Nc*coupl(nGC_333)*coupl(nGC_337) + Nc*&
                        coupl(nGC_340)*coupl(nGC_342) + Nc*coupl(nGC_345)*coupl&
                        (nGC_349) + Nc*coupl(nGC_363)*coupl(nGC_367) - Nc*coupl&
                        (nGC_369)*coupl(nGC_373) - Nc*coupl(nGC_381)*coupl(    &
                        nGC_385) + coupl(nGC_351)*coupl(nGC_355) + coupl(      &
                        nGC_357)*coupl(nGC_361) + coupl(nGC_375)*coupl(nGC_379 &
                        ))/(24d0*pi**2d0)
      coupl(nGC_3415) = coupl(nGC_52)*(dZG0 + dZGMinus)/2d0
      coupl(nGC_3303) = -cima*dMU_QED2
      coupl(nGC_2635) = (8d0*coupl(nGC_208)*coupl(nGC_211)*coupl(nGC_377) -    &
                        coupl(nGC_375)**2d0*coupl(nGC_819) - coupl(nGC_377)**  &
                        2d0*coupl(nGC_819) + 8d0*coupl(nGC_377)*coupl(nGC_4)** &
                        2d0 - coupl(nGC_378)**2d0*coupl(nGC_819) - coupl(      &
                        nGC_380)**2d0*coupl(nGC_819))/(32d0*pi**2d0)
      coupl(nGC_2634) = coupl(nGC_13)**2d0*coupl(nGC_371)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_2633) = (8d0*coupl(nGC_2)**2d0*coupl(nGC_371) + 8d0*coupl(     &
                        nGC_207)*coupl(nGC_210)*coupl(nGC_371) - coupl(nGC_340 &
                        )*coupl(nGC_373)*coupl(nGC_863) - coupl(nGC_343)*coupl(&
                        nGC_370)*coupl(nGC_863) - coupl(nGC_369)**2d0*coupl(   &
                        nGC_795) - coupl(nGC_371)**2d0*coupl(nGC_795) - coupl( &
                        nGC_372)**2d0*coupl(nGC_795) - coupl(nGC_374)**2d0*    &
                        coupl(nGC_795))/(32d0*pi**2d0)
      coupl(nGC_2632) = coupl(nGC_13)**2d0*coupl(nGC_795)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_2630) = coupl(nGC_13)**2d0*coupl(nGC_365)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_TS_GC_178_Hh) = -coupl(nGC_178)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_178_Hl) = -coupl(nGC_178)*dtHl_QED1/cMHL**2d0
      coupl(nGC_3328) = coupl(nGC_62)*(dZG0 + dZGMinus)/2d0
      coupl(nGC_3323) = coupl(nGC_221)*(dZGMinusHMinus_QED2 +                  &
                        dZHMinusGMinus_QED2)/2d0
      coupl(nGC_3320) = coupl(nGC_22)*dZGMinus/2d0
      coupl(nGC_3321) = coupl(nGC_22)*dZHl_QED2/2d0 + coupl(nGC_24)*           &
                        dZHMinusGMinus_QED2/2d0 + coupl(nGC_24)*dZHhHl_QED2/2d0&
                         + coupl(nGC_2984)
      coupl(nGC_3326) = coupl(nGC_55)*(dZG0 + 2d0*dZGMinus)/2d0
      coupl(nGC_3410) = coupl(nGC_55)*(2d0*dZG0 + dZGMinus)/2d0
      coupl(nGC_3325) = coupl(nGC_99)*dZGMinus
      coupl(nGC_3102) = coupl(nGC_1443)*db_QED2 + coupl(nGC_1444)*dym1_QED3 +  &
                        coupl(nGC_1445)*dym2_QED3
      coupl(nGC_3103) = coupl(nGC_1614)*db_QED2 + coupl(nGC_1615)*dytau2_QED3  &
                         + coupl(nGC_1616)*dytau1_QED3
      coupl(nGC_3101) = coupl(nGC_1403)*dye2_QED3 + coupl(nGC_1404)*db_QED2 +  &
                        coupl(nGC_1405)*dye1_QED3
      coupl(nGC_3107) = coupl(nGC_1414)*dye2_QED3 + coupl(nGC_1415)*da_QED2 +  &
                        coupl(nGC_1416)*dye1_QED3
      coupl(nGC_3104) = coupl(nGC_1437)*dye2_QED3 + coupl(nGC_1438)*db_QED2 +  &
                        coupl(nGC_1439)*dye1_QED3
      coupl(nGC_3105) = coupl(nGC_1481)*db_QED2 + coupl(nGC_1482)*dym1_QED3 +  &
                        coupl(nGC_1483)*dym2_QED3
      coupl(nGC_3108) = coupl(nGC_1154)*da_QED2 + coupl(nGC_1155)*dym1_QED3 +  &
                        coupl(nGC_1156)*dym2_QED3
      coupl(nGC_3109) = coupl(nGC_1446)*dytau2_QED3 + coupl(nGC_1447)*         &
                        dytau1_QED3 + coupl(nGC_1448)*da_QED2
      coupl(nGC_2989) = coupl(nGC_1539)*db_QED2 + coupl(nGC_1540)*dl3_QED4 +   &
                        coupl(nGC_1541)*dl2_QED4 + coupl(nGC_1542)*dl1_QED4 +  &
                        coupl(nGC_1543)*dl4_QED4 + coupl(nGC_1544)*dl5_QED4 +  &
                        coupl(nGC_1545)*da_QED2
      coupl(nGC_2988) = coupl(nGC_1633)*dl3_QED4 + coupl(nGC_1634)*dl2_QED4 +  &
                        coupl(nGC_1635)*dl1_QED4 + coupl(nGC_1636)*dl4_QED4 +  &
                        coupl(nGC_1637)*dl5_QED4 + coupl(nGC_1638)*da_QED2
      coupl(nGC_2459) = (-Nc*coupl(nGC_1)*coupl(nGC_334)*coupl(nGC_337) - Nc*  &
                        coupl(nGC_1)*coupl(nGC_340)*coupl(nGC_343) - Nc*coupl( &
                        nGC_1)*coupl(nGC_346)*coupl(nGC_349) - Nc*coupl(nGC_1)*&
                        coupl(nGC_364)*coupl(nGC_367) - Nc*coupl(nGC_1)*coupl( &
                        nGC_370)*coupl(nGC_373) - Nc*coupl(nGC_1)*coupl(nGC_382&
                        )*coupl(nGC_385) + Nc*coupl(nGC_2)*coupl(nGC_334)*coupl&
                        (nGC_337) + Nc*coupl(nGC_2)*coupl(nGC_340)*coupl(      &
                        nGC_343) + Nc*coupl(nGC_2)*coupl(nGC_346)*coupl(nGC_349&
                        ) + Nc*coupl(nGC_2)*coupl(nGC_364)*coupl(nGC_367) + Nc*&
                        coupl(nGC_2)*coupl(nGC_370)*coupl(nGC_373) + Nc*coupl( &
                        nGC_2)*coupl(nGC_382)*coupl(nGC_385) - coupl(nGC_352)* &
                        coupl(nGC_355)*coupl(nGC_4) - coupl(nGC_358)*coupl(    &
                        nGC_361)*coupl(nGC_4) - coupl(nGC_376)*coupl(nGC_379)* &
                        coupl(nGC_4))/(24d0*pi**2d0)
      coupl(nGC_2458) = (Nc*coupl(nGC_1)*coupl(nGC_334)*coupl(nGC_337) + Nc*   &
                        coupl(nGC_1)*coupl(nGC_340)*coupl(nGC_343) + Nc*coupl( &
                        nGC_1)*coupl(nGC_346)*coupl(nGC_349) + Nc*coupl(nGC_1)*&
                        coupl(nGC_364)*coupl(nGC_367) + Nc*coupl(nGC_1)*coupl( &
                        nGC_370)*coupl(nGC_373) + Nc*coupl(nGC_1)*coupl(nGC_382&
                        )*coupl(nGC_385) - Nc*coupl(nGC_2)*coupl(nGC_334)*coupl&
                        (nGC_337) - Nc*coupl(nGC_2)*coupl(nGC_340)*coupl(      &
                        nGC_343) - Nc*coupl(nGC_2)*coupl(nGC_346)*coupl(nGC_349&
                        ) - Nc*coupl(nGC_2)*coupl(nGC_364)*coupl(nGC_367) - Nc*&
                        coupl(nGC_2)*coupl(nGC_370)*coupl(nGC_373) - Nc*coupl( &
                        nGC_2)*coupl(nGC_382)*coupl(nGC_385) + coupl(nGC_352)* &
                        coupl(nGC_355)*coupl(nGC_4) + coupl(nGC_358)*coupl(    &
                        nGC_361)*coupl(nGC_4) + coupl(nGC_376)*coupl(nGC_379)* &
                        coupl(nGC_4))/(24d0*pi**2d0)
      coupl(nGC_3696) = coupl(nGC_209)*dZsL_QCD2
      coupl(nGC_3697) = coupl(nGC_1)*dZAZ_QED2/2d0 + coupl(nGC_206)*dZZ_QED2/  &
                        2d0 + coupl(nGC_206)*dZsR_QED2 + coupl(nGC_3186)
      coupl(nGC_3694) = coupl(nGC_MI)*dZsL_QCD2
      coupl(nGC_2453) = cMT*cima*(-coupl(nGC_2)**2d0 - coupl(nGC_207)*coupl(   &
                        nGC_210))/(8d0*pi**2d0)
      coupl(nGC_2452) = cMS*cima*coupl(nGC_13)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(&
                        32d0*pi**2d0*Nc)
      coupl(nGC_2451) = cMS*cima*(-coupl(nGC_1)**2d0 - coupl(nGC_206)*coupl(   &
                        nGC_209))/(8d0*pi**2d0)
      coupl(nGC_2450) = cima*(-coupl(nGC_197)**2d0 - coupl(nGC_212)**2d0)/(16d0&
                        *pi**2d0)
      coupl(nGC_2457) = cMU*cima*coupl(nGC_13)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(&
                        32d0*pi**2d0*Nc)
      coupl(nGC_2455) = cMTA*cima*(-coupl(nGC_208)*coupl(nGC_211) - coupl(nGC_4&
                        )**2d0)/(8d0*pi**2d0)
      coupl(nGC_3433) = coupl(nGC_MI)*dZcL_QED2
      coupl(nGC_TS_GC_35_Hh) = -coupl(nGC_35)*dtHh_QED1/cMHH**2d0
      coupl(nGC_2819) = cima*(10d0*Nc*coupl(nGC_336)**2d0*coupl(nGC_337)**2d0  &
                         + 10d0*Nc*coupl(nGC_336)**2d0*coupl(nGC_367)**2d0 +   &
                        20d0*Nc*coupl(nGC_336)*coupl(nGC_337)*coupl(nGC_366)*  &
                        coupl(nGC_367) + 10d0*Nc*coupl(nGC_337)**2d0*coupl(    &
                        nGC_366)**2d0 + 10d0*Nc*coupl(nGC_339)**2d0*coupl(     &
                        nGC_340)**2d0 + 10d0*Nc*coupl(nGC_339)**2d0*coupl(     &
                        nGC_373)**2d0 + 20d0*Nc*coupl(nGC_339)*coupl(nGC_340)* &
                        coupl(nGC_372)*coupl(nGC_373) + 10d0*Nc*coupl(nGC_340  &
                        )**2d0*coupl(nGC_372)**2d0 + 10d0*Nc*coupl(nGC_348)**  &
                        2d0*coupl(nGC_349)**2d0 + 10d0*Nc*coupl(nGC_348)**2d0* &
                        coupl(nGC_385)**2d0 + 20d0*Nc*coupl(nGC_348)*coupl(    &
                        nGC_349)*coupl(nGC_384)*coupl(nGC_385) + 10d0*Nc*coupl(&
                        nGC_349)**2d0*coupl(nGC_384)**2d0 + 10d0*Nc*coupl(     &
                        nGC_366)**2d0*coupl(nGC_367)**2d0 + 10d0*Nc*coupl(     &
                        nGC_372)**2d0*coupl(nGC_373)**2d0 + 10d0*Nc*coupl(     &
                        nGC_384)**2d0*coupl(nGC_385)**2d0 + 6d0*coupl(nGC_100)*&
                        coupl(nGC_77) + 12d0*coupl(nGC_180)**2d0 + 3d0*coupl(  &
                        nGC_224)*coupl(nGC_229) + 12d0*coupl(nGC_23)**2d0 +    &
                        10d0*coupl(nGC_354)**2d0*coupl(nGC_355)**2d0 + 10d0*   &
                        coupl(nGC_360)**2d0*coupl(nGC_361)**2d0 + 10d0*coupl(  &
                        nGC_378)**2d0*coupl(nGC_379)**2d0)/(48d0*pi**2d0)
      coupl(nGC_TS_GC_36_Hl) = -coupl(nGC_36)*dtHl_QED1/cMHL**2d0
      coupl(nGC_3078) = coupl(nGC_1285)*db_QED2 + coupl(nGC_1286)*dyd13x3_QED3 &
                         + coupl(nGC_1287)*dyb2_QED3
      coupl(nGC_3079) = coupl(nGC_1286)*dyd13x3_QED1_QCD2 + coupl(nGC_1287)*   &
                        dyb2_QED1_QCD2
      coupl(nGC_3077) = coupl(nGC_1553)*dyd12x2_QED1_QCD2 + coupl(nGC_1554)*   &
                        dys2_QED1_QCD2
      coupl(nGC_3074) = coupl(nGC_1981)*db_QED2 + coupl(nGC_1982)*dydo1_QED3 + &
                        coupl(nGC_1983)*dydo2_QED3
      coupl(nGC_3075) = coupl(nGC_1982)*dydo1_QED1_QCD2 + coupl(nGC_1983)*     &
                        dydo2_QED1_QCD2
      coupl(nGC_3072) = coupl(nGC_1317)*db_QED2 + coupl(nGC_1318)*dyd13x3_QED3 &
                         + coupl(nGC_1319)*dyb2_QED3
      coupl(nGC_3073) = coupl(nGC_1318)*dyd13x3_QED1_QCD2 + coupl(nGC_1319)*   &
                        dyb2_QED1_QCD2
      coupl(nGC_3070) = coupl(nGC_1764)*db_QED2 + coupl(nGC_1765)*dyt1_QED3 +  &
                        coupl(nGC_1766)*dyt2_QED3
      coupl(nGC_3071) = coupl(nGC_1765)*dyt1_QED1_QCD2 + coupl(nGC_1766)*      &
                        dyt2_QED1_QCD2
      coupl(nGC_2431) = cMB*cima*(-coupl(nGC_1)**2d0 - coupl(nGC_206)*coupl(   &
                        nGC_209))/(8d0*pi**2d0)
      coupl(nGC_2850) = cima*coupl(nGC_13)**2d0*sq2**2d0*(coupl(nGC_334)*coupl(&
                        nGC_337) + coupl(nGC_340)*coupl(nGC_343) + coupl(      &
                        nGC_346)*coupl(nGC_349) + coupl(nGC_364)*coupl(nGC_367 &
                        ) + coupl(nGC_370)*coupl(nGC_373) + coupl(nGC_382)*    &
                        coupl(nGC_385))/(32d0*pi**2d0*Nc)
      coupl(nGC_3585) = coupl(nGC_237)*dZGMinus/2d0
      coupl(nGC_3582) = coupl(nGC_337)*dZGMinus/2d0
      coupl(nGC_TS_GC_46_Hh) = -coupl(nGC_46)*dtHh_QED1/cMHH**2d0
      coupl(nGC_3120) = coupl(nGC_571)*db_QED2 + coupl(nGC_573)*dyt1_QED3 +    &
                        coupl(nGC_575)*dyt2_QED3
      coupl(nGC_3121) = coupl(nGC_573)*dyt1_QED1_QCD2 + coupl(nGC_575)*        &
                        dyt2_QED1_QCD2
      coupl(nGC_2829) = 5d0*cima*(Nc*coupl(nGC_334)**3d0*coupl(nGC_337) + Nc*  &
                        coupl(nGC_340)*coupl(nGC_343)**3d0 + Nc*coupl(nGC_346  &
                        )**3d0*coupl(nGC_349) + Nc*coupl(nGC_364)**3d0*coupl(  &
                        nGC_367) + Nc*coupl(nGC_370)**3d0*coupl(nGC_373) + Nc* &
                        coupl(nGC_382)**3d0*coupl(nGC_385) + coupl(nGC_352)**  &
                        3d0*coupl(nGC_355) + coupl(nGC_358)**3d0*coupl(nGC_361 &
                        ) + coupl(nGC_376)**3d0*coupl(nGC_379))/(24d0*pi**2d0)
      coupl(nGC_3125) = coupl(nGC_1216)*dyc1_QED1_QCD2 + coupl(nGC_1217)*      &
                        dyc2_QED1_QCD2
      coupl(nGC_3919) = coupl(nGC_368)*dZG0/2d0
      coupl(nGC_3525) = coupl(nGC_3102) + coupl(nGC_358)*dZHMinus_QED2/2d0 +   &
                        coupl(nGC_358)*dZmuMinusR_QED2/2d0 + coupl(nGC_358)*   &
                        dZnu_muL_QED2/2d0 + coupl(nGC_361)*dZGMinusHMinus_QED2/&
                        2d0
      coupl(nGC_TS_GC_360_Hh) = -coupl(nGC_360)*dtHh_QED1/cMHH**2d0
      coupl(nGC_3656) = -coupl(nGC_200)*dZZ_QED2/4d0 - coupl(nGC_3046)/2d0 -   &
                        coupl(nGC_6)*dZAZ_QED2/4d0
      coupl(nGC_3654) = coupl(nGC_1)*dZA_QED2/2d0 + coupl(nGC_1)*dZdR_QED2 +   &
                        coupl(nGC_206)*dZZA_QED2/2d0 + coupl(nGC_3180)
      coupl(nGC_3655) = coupl(nGC_1)*dZdR_QCD2
      coupl(nGC_3652) = coupl(nGC_1)*dZA_QED2/2d0 + coupl(nGC_1)*dZdL_QED2 +   &
                        coupl(nGC_209)*dZZA_QED2/2d0 + coupl(nGC_3180)
      coupl(nGC_3653) = coupl(nGC_1)*dZdL_QCD2
      coupl(nGC_2496) = (Nc*coupl(nGC_206)*coupl(nGC_340)**2d0 + Nc*coupl(     &
                        nGC_206)*coupl(nGC_349)**2d0 + Nc*coupl(nGC_206)*coupl(&
                        nGC_367)**2d0 - Nc*coupl(nGC_207)*coupl(nGC_337)**2d0  &
                         - Nc*coupl(nGC_207)*coupl(nGC_373)**2d0 - Nc*coupl(   &
                        nGC_207)*coupl(nGC_385)**2d0 + Nc*coupl(nGC_209)*coupl(&
                        nGC_337)**2d0 + Nc*coupl(nGC_209)*coupl(nGC_373)**2d0  &
                         + Nc*coupl(nGC_209)*coupl(nGC_385)**2d0 - Nc*coupl(   &
                        nGC_210)*coupl(nGC_340)**2d0 - Nc*coupl(nGC_210)*coupl(&
                        nGC_349)**2d0 - Nc*coupl(nGC_210)*coupl(nGC_367)**2d0  &
                         + coupl(nGC_208)*coupl(nGC_355)**2d0 + coupl(nGC_208)*&
                        coupl(nGC_361)**2d0 + coupl(nGC_208)*coupl(nGC_379)**  &
                        2d0 - coupl(nGC_212)*coupl(nGC_355)**2d0 - coupl(      &
                        nGC_212)*coupl(nGC_361)**2d0 - coupl(nGC_212)*coupl(   &
                        nGC_379)**2d0)/(24d0*pi**2d0)
      coupl(nGC_2495) = (2d0*Nc*cMB*coupl(nGC_340)**2d0*coupl(nGC_342) + 2d0*Nc&
                        *cMB*coupl(nGC_340)*coupl(nGC_369)*coupl(nGC_373) + 2d0&
                        *Nc*cMB*coupl(nGC_342)*coupl(nGC_373)**2d0 + 2d0*Nc*cMC&
                        *coupl(nGC_333)*coupl(nGC_337)**2d0 + 2d0*Nc*cMC*coupl(&
                        nGC_333)*coupl(nGC_367)**2d0 + 2d0*Nc*cMC*coupl(nGC_337&
                        )*coupl(nGC_363)*coupl(nGC_367) + 2d0*Nc*cMD*coupl(    &
                        nGC_345)*coupl(nGC_349)**2d0 + 2d0*Nc*cMD*coupl(nGC_345&
                        )*coupl(nGC_385)**2d0 + 2d0*Nc*cMD*coupl(nGC_349)*coupl&
                        (nGC_381)*coupl(nGC_385) + 2d0*Nc*cMS*coupl(nGC_333)*  &
                        coupl(nGC_337)*coupl(nGC_367) + 2d0*Nc*cMS*coupl(      &
                        nGC_337)**2d0*coupl(nGC_363) + 2d0*Nc*cMS*coupl(nGC_363&
                        )*coupl(nGC_367)**2d0 + 2d0*Nc*cMT*coupl(nGC_340)**2d0*&
                        coupl(nGC_369) + 2d0*Nc*cMT*coupl(nGC_340)*coupl(      &
                        nGC_342)*coupl(nGC_373) + 2d0*Nc*cMT*coupl(nGC_369)*   &
                        coupl(nGC_373)**2d0 + 2d0*Nc*cMU*coupl(nGC_345)*coupl( &
                        nGC_349)*coupl(nGC_385) + 2d0*Nc*cMU*coupl(nGC_349)**  &
                        2d0*coupl(nGC_381) + 2d0*Nc*cMU*coupl(nGC_381)*coupl(  &
                        nGC_385)**2d0 + 2d0*cME*coupl(nGC_351)*coupl(nGC_355)**&
                        2d0 + 2d0*cMM*coupl(nGC_357)*coupl(nGC_361)**2d0 + 2d0*&
                        cMTA*coupl(nGC_375)*coupl(nGC_379)**2d0 + 2d0*cima*    &
                        coupl(nGC_100)*coupl(nGC_261) + 4d0*cima*coupl(nGC_174 &
                        )*coupl(nGC_324) + 4d0*cima*coupl(nGC_21)*coupl(nGC_237&
                        ) + cima*coupl(nGC_229)*coupl(nGC_329))/(16d0*pi**2d0)
      coupl(nGC_2494) = (2d0*Nc*cMB*coupl(nGC_339)*coupl(nGC_340)**2d0 + 2d0*Nc&
                        *cMB*coupl(nGC_339)*coupl(nGC_373)**2d0 + 2d0*Nc*cMB*  &
                        coupl(nGC_340)*coupl(nGC_372)*coupl(nGC_373) + 2d0*Nc* &
                        cMC*coupl(nGC_336)*coupl(nGC_337)**2d0 + 2d0*Nc*cMC*   &
                        coupl(nGC_336)*coupl(nGC_367)**2d0 + 2d0*Nc*cMC*coupl( &
                        nGC_337)*coupl(nGC_366)*coupl(nGC_367) + 2d0*Nc*cMD*   &
                        coupl(nGC_348)*coupl(nGC_349)**2d0 + 2d0*Nc*cMD*coupl( &
                        nGC_348)*coupl(nGC_385)**2d0 + 2d0*Nc*cMD*coupl(nGC_349&
                        )*coupl(nGC_384)*coupl(nGC_385) + 2d0*Nc*cMS*coupl(    &
                        nGC_336)*coupl(nGC_337)*coupl(nGC_367) + 2d0*Nc*cMS*   &
                        coupl(nGC_337)**2d0*coupl(nGC_366) + 2d0*Nc*cMS*coupl( &
                        nGC_366)*coupl(nGC_367)**2d0 + 2d0*Nc*cMT*coupl(nGC_339&
                        )*coupl(nGC_340)*coupl(nGC_373) + 2d0*Nc*cMT*coupl(    &
                        nGC_340)**2d0*coupl(nGC_372) + 2d0*Nc*cMT*coupl(nGC_372&
                        )*coupl(nGC_373)**2d0 + 2d0*Nc*cMU*coupl(nGC_348)*coupl&
                        (nGC_349)*coupl(nGC_385) + 2d0*Nc*cMU*coupl(nGC_349)** &
                        2d0*coupl(nGC_384) + 2d0*Nc*cMU*coupl(nGC_384)*coupl(  &
                        nGC_385)**2d0 + 2d0*cME*coupl(nGC_354)*coupl(nGC_355)**&
                        2d0 + 2d0*cMM*coupl(nGC_360)*coupl(nGC_361)**2d0 + 2d0*&
                        cMTA*coupl(nGC_378)*coupl(nGC_379)**2d0 + 2d0*cima*    &
                        coupl(nGC_100)*coupl(nGC_272) + 4d0*cima*coupl(nGC_180 &
                        )*coupl(nGC_324) + cima*coupl(nGC_229)*coupl(nGC_332   &
                        ) + 4d0*cima*coupl(nGC_23)*coupl(nGC_237))/(16d0*pi**  &
                        2d0)
      coupl(nGC_3659) = coupl(nGC_MZ_GF)*dZZA_QED2/2d0
      coupl(nGC_3667) = coupl(nGC_215)*dZZA_QED2/2d0
      coupl(nGC_3136) = coupl(nGC_1186)*db_QED2 + coupl(nGC_1187)*dyc1_QED3 +  &
                        coupl(nGC_1188)*dyc2_QED3
      coupl(nGC_3666) = coupl(nGC_MI)*dZtL_QCD2
      coupl(nGC_TS_GC_378_Hh) = -coupl(nGC_378)*dtHh_QED1/cMHH**2d0
      coupl(nGC_3382) = coupl(nGC_212)*dZZ_QED2/2d0 + coupl(nGC_212)*          &
                        dZnu_tauL_QED2 + coupl(nGC_3187)
      coupl(nGC_3383) = coupl(nGC_31)*(dZGMinusHMinus_QED2 + dZHaG0_QED2)/2d0
      coupl(nGC_3384) = coupl(nGC_187)*(dZG0Ha_QED2 + dZHMinusGMinus_QED2)/2d0
      coupl(nGC_3386) = coupl(nGC_325)*dZGMinus/2d0
      coupl(nGC_3387) = coupl(nGC_100)*(dZG0Ha_QED2 + dZHaG0_QED2)/2d0
      coupl(nGC_3869) = coupl(nGC_2)*dZuR_QCD2
      coupl(nGC_3868) = coupl(nGC_2)*dZA_QED2/2d0 + coupl(nGC_2)*dZuR_QED2 +   &
                        coupl(nGC_207)*dZZA_QED2/2d0 + coupl(nGC_3179)
      coupl(nGC_3664) = coupl(nGC_3308) + coupl(nGC_MT)*dZtL_QCD2/2d0 + coupl( &
                        nGC_MT)*dZtR_QCD2/2d0
      coupl(nGC_3553) = -coupl(nGC_3138) - coupl(nGC_371)*dZHa_QED2/2d0 - coupl&
                        (nGC_371)*dZtL_QED2/2d0 - coupl(nGC_371)*dZtR_QED2/2d0 &
                         - coupl(nGC_374)*dZG0Ha_QED2/2d0
      coupl(nGC_3985) = -coupl(nGC_MZ_GF)*dZG0/2d0
      coupl(nGC_3861) = coupl(nGC_3117) + coupl(nGC_386)*dZuL_QCD2/2d0 + coupl(&
                        nGC_386)*dZuR_QCD2/2d0
      coupl(nGC_3860) = coupl(nGC_3116) + coupl(nGC_383)*dZHaG0_QED2/2d0 +     &
                        coupl(nGC_386)*dZuL_QED2/2d0 + coupl(nGC_386)*dZuR_QED2&
                        /2d0
      coupl(nGC_3863) = -coupl(nGC_3116) - coupl(nGC_383)*dZHaG0_QED2/2d0 -    &
                        coupl(nGC_386)*dZuL_QED2/2d0 - coupl(nGC_386)*dZuR_QED2&
                        /2d0
      coupl(nGC_3862) = coupl(nGC_386)*dZG0/2d0
      coupl(nGC_3865) = -coupl(nGC_386)*dZG0/2d0
      coupl(nGC_3864) = -coupl(nGC_3117) - coupl(nGC_386)*dZuL_QCD2/2d0 - coupl&
                        (nGC_386)*dZuR_QCD2/2d0
      coupl(nGC_3867) = coupl(nGC_2)*dZuL_QCD2
      coupl(nGC_3866) = coupl(nGC_2)*dZA_QED2/2d0 + coupl(nGC_2)*dZuL_QED2 +   &
                        coupl(nGC_210)*dZZA_QED2/2d0 + coupl(nGC_3179)
      coupl(nGC_3555) = coupl(nGC_10)*dZA_QED2 + coupl(nGC_204)*dZZA_QED2 +    &
                        coupl(nGC_3040)
      coupl(nGC_3752) = coupl(nGC_2971) + coupl(nGC_54)*dZHaG0_QED2 + coupl(   &
                        nGC_55)*dZGMinusHMinus_QED2 + coupl(nGC_70)*           &
                        dZHMinus_QED2
      coupl(nGC_3132) = coupl(nGC_1562)*da_QED2 + coupl(nGC_1563)*dyt1_QED3 +  &
                        coupl(nGC_1564)*dyt2_QED3
      coupl(nGC_3781) = -coupl(nGC_3093) - coupl(nGC_347)*dZdL_QCD2/2d0 - coupl&
                        (nGC_347)*dZdR_QCD2/2d0
      coupl(nGC_3033) = coupl(nGC_1879)*db_QED2 + coupl(nGC_1880)*dvev1_QED1 + &
                        coupl(nGC_1881)*dcw_QED2 + coupl(nGC_1882)*dZee_QED2 + &
                        coupl(nGC_1883)*dvev2_QED1
      coupl(nGC_3031) = coupl(nGC_551)*db_QED2 + coupl(nGC_553)*dvev2_QED1 +   &
                        coupl(nGC_555)*da_QED2 + coupl(nGC_557)*dl2_QED4 +     &
                        coupl(nGC_559)*dl1_QED4 + coupl(nGC_561)*dl4_QED4 +    &
                        coupl(nGC_563)*dl3_QED4 + coupl(nGC_565)*dvev1_QED1 +  &
                        coupl(nGC_567)*dl5_QED4
      coupl(nGC_3037) = coupl(nGC_2021)*dsw_QED2 + coupl(nGC_2022)*da_QED2 +   &
                        coupl(nGC_2023)*dvev1_QED1 + coupl(nGC_2024)*dvev2_QED1&
                         + coupl(nGC_2025)*dZee_QED2
      coupl(nGC_3035) = coupl(nGC_1609)*dl4_QED4 + coupl(nGC_1610)*dl5_QED4 +  &
                        coupl(nGC_1611)*dvev2_QED1 + coupl(nGC_1612)*dvev1_QED1&
                         + coupl(nGC_1613)*db_QED2
      coupl(nGC_3551) = coupl(nGC_3138) + coupl(nGC_371)*dZHa_QED2/2d0 + coupl(&
                        nGC_371)*dZtL_QED2/2d0 + coupl(nGC_371)*dZtR_QED2/2d0  &
                         + coupl(nGC_374)*dZG0Ha_QED2/2d0
      coupl(nGC_3038) = coupl(nGC_1157)*dvev1_QED1 + coupl(nGC_1158)*dvev2_QED1&
                         + coupl(nGC_1159)*dZee_QED2 + coupl(nGC_1160)*dsw_QED2&
                         + coupl(nGC_1161)*db_QED2
      coupl(nGC_2404) = cima*(Nc*coupl(nGC_334)*coupl(nGC_337) + Nc*coupl(     &
                        nGC_340)*coupl(nGC_343) + Nc*coupl(nGC_346)*coupl(     &
                        nGC_349) + Nc*coupl(nGC_364)*coupl(nGC_367) + Nc*coupl(&
                        nGC_370)*coupl(nGC_373) + Nc*coupl(nGC_382)*coupl(     &
                        nGC_385) + coupl(nGC_352)*coupl(nGC_355) + coupl(      &
                        nGC_358)*coupl(nGC_361) + coupl(nGC_376)*coupl(nGC_379 &
                        ))/(48d0*pi**2d0)
      coupl(nGC_TS_GC_47_Hh) = -coupl(nGC_47)*dtHh_QED1/cMHH**2d0
    end subroutine fill_CTcouplings_mdl2
end module fill_ctcouplings2
