!******************************************************************************!
!                                                                              !
!    ctparameter109.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter109.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-03-15 22:40             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter109
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter109()
  dMT_QED2 = (2d0*Ten702*cMT*coupl(nGC_2)**2d0 + Ten703*cMT*(-coupl(nGC_207)** &
             2d0 + 4d0*coupl(nGC_207)*coupl(nGC_210) - coupl(nGC_210)**2d0) +  &
             Ten704*(-cMB*coupl(nGC_340)*coupl(nGC_373) - cMT*coupl(nGC_197)** &
             2d0 - cMT*coupl(nGC_340)**2d0/2d0 - cMT*coupl(nGC_373)**2d0/2d0   &
             ) - Ten705*cMT*coupl(nGC_371)**2d0 + Ten706*cMT*coupl(nGC_369)**  &
             2d0 + Ten707*cMT*coupl(nGC_372)**2d0 - 2d0*Ten708*cMT*coupl(nGC_2 &
             )**2d0 + Ten709*cMT*(-coupl(nGC_207)**2d0 - coupl(nGC_210)**2d0 + &
             coupl(nGC_374)**2d0) + Ten710*cMT*(-2d0*coupl(nGC_197)**2d0 -     &
             coupl(nGC_340)**2d0 - coupl(nGC_373)**2d0)/2d0 + Ten711*cMT*(coupl&
             (nGC_343)**2d0 + coupl(nGC_370)**2d0)/2d0 - Ten712*cMT*coupl(     &
             nGC_371)**2d0 - Ten713*cMT*coupl(nGC_369)**2d0 - Ten714*cMT*coupl(&
             nGC_372)**2d0 - Ten715*cMB*coupl(nGC_343)*coupl(nGC_370) + 2d0*   &
             Ten716*cMT*coupl(nGC_371)**2d0*rMT*(-cMT + rMT) + 2d0*Ten717*cMT* &
             coupl(nGC_369)**2d0*rMT*(-cMT + rMT) + 2d0*Ten718*cMT*coupl(      &
             nGC_372)**2d0*rMT*(-cMT + rMT) + 4d0*Ten719*coupl(nGC_2)**2d0*rMT &
             *(2d0*cMT**2d0 - 3d0*cMT*rMT + rMT**2d0) + 2d0*Ten720*rMT*(4d0*cMT&
             **2d0*coupl(nGC_207)*coupl(nGC_210) - cMT**2d0*coupl(nGC_374)**2d0&
              - cMT*coupl(nGC_207)**2d0*rMT - 4d0*cMT*coupl(nGC_207)*coupl(    &
             nGC_210)*rMT - cMT*coupl(nGC_210)**2d0*rMT + 2d0*cMT*coupl(nGC_374&
             )**2d0*rMT + coupl(nGC_207)**2d0*rMT**2d0 + coupl(nGC_210)**2d0*  &
             rMT**2d0 - coupl(nGC_374)**2d0*rMT**2d0) + Ten721*rMT*(-2d0*cMB*  &
             cMT*coupl(nGC_340)*coupl(nGC_373) + 2d0*cMB*coupl(nGC_340)*coupl( &
             nGC_373)*rMT - 2d0*cMT*coupl(nGC_197)**2d0*rMT - cMT*coupl(nGC_340&
             )**2d0*rMT - cMT*coupl(nGC_373)**2d0*rMT + 2d0*coupl(nGC_197)**2d0&
             *rMT**2d0 + coupl(nGC_340)**2d0*rMT**2d0 + coupl(nGC_373)**2d0*rMT&
             **2d0) + 2d0*Ten722*cMB*coupl(nGC_343)*coupl(nGC_370)*rMT*(-cMT + &
             rMT) + 2d0*Ten723*coupl(nGC_371)**2d0*rMT**2d0*(-cMT + rMT) + 2d0*&
             Ten724*coupl(nGC_369)**2d0*rMT**2d0*(cMT - rMT) + 2d0*Ten725*coupl&
             (nGC_372)**2d0*rMT**2d0*(cMT - rMT) + 4d0*Ten726*coupl(nGC_2)**2d0&
             *rMT**2d0*(-cMT + rMT) + 2d0*Ten727*rMT**2d0*(-cMT*coupl(nGC_207  &
             )**2d0 - cMT*coupl(nGC_210)**2d0 + cMT*coupl(nGC_374)**2d0 + coupl&
             (nGC_207)**2d0*rMT + coupl(nGC_210)**2d0*rMT - coupl(nGC_374)**2d0&
             *rMT) + Ten728*rMT**2d0*(-2d0*cMT*coupl(nGC_197)**2d0 - cMT*coupl(&
             nGC_340)**2d0 - cMT*coupl(nGC_373)**2d0 + 2d0*coupl(nGC_197)**2d0*&
             rMT + coupl(nGC_340)**2d0*rMT + coupl(nGC_373)**2d0*rMT) + Ten729*&
             rMT**2d0*(cMT*coupl(nGC_343)**2d0 + cMT*coupl(nGC_370)**2d0 -     &
             coupl(nGC_343)**2d0*rMT - coupl(nGC_370)**2d0*rMT) + pi**2d0*(-   &
             32d0*aEW*cMT**2d0/(9d0*pi*rMT) + 32d0*aEW*rMT/(9d0*pi) + cMT*coupl&
             (nGC_197)**2d0/(2d0*pi**2d0) - cMT*coupl(nGC_2)**2d0/pi**2d0 + cMT&
             *coupl(nGC_207)**2d0/(2d0*pi**2d0) - 2d0*cMT*coupl(nGC_207)*coupl(&
             nGC_210)/pi**2d0 + cMT*coupl(nGC_210)**2d0/(2d0*pi**2d0)))/(16d0* &
             pi**2d0) + cima*coupl(nGC_369)*dtHl_QED1/cMHL**2d0 + cima*coupl(  &
             nGC_372)*dtHh_QED1/cMHH**2d0
    if (.not. complex_mass_scheme) then
      dMT_QED2 = cone*real(dMT_QED2,kind=dp)
    end if 
end subroutine set_ctparameter109
end module ctparameter109
