!******************************************************************************!
!                                                                              !
!    ctparameter174.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter174.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-03-15 22:40             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter174
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter174()
  dMHH2_QED2 = (4d0*Nc*Ten117*cMU**2d0*coupl(nGC_384)**2d0 + 4d0*Nc*Ten118*cMC &
               **2d0*coupl(nGC_336)**2d0 + 4d0*Nc*Ten119*cMT**2d0*coupl(nGC_372&
               )**2d0 + 4d0*Nc*Ten120*cMD**2d0*coupl(nGC_348)**2d0 + 4d0*Nc*   &
               Ten121*cMS**2d0*coupl(nGC_366)**2d0 + 4d0*Nc*Ten122*cMB**2d0*   &
               coupl(nGC_339)**2d0 + 4d0*Nc*Ten132*cMHH**2d0*coupl(nGC_384)**  &
               2d0 + 16d0*Nc*Ten133*coupl(nGC_384)**2d0 + 4d0*Nc*Ten134*cMHH** &
               2d0*coupl(nGC_384)**2d0 + 4d0*Nc*Ten135*cMHH**2d0*coupl(nGC_336 &
               )**2d0 + 16d0*Nc*Ten136*coupl(nGC_336)**2d0 + 4d0*Nc*Ten137*cMHH&
               **2d0*coupl(nGC_336)**2d0 + 4d0*Nc*Ten138*cMHH**2d0*coupl(      &
               nGC_372)**2d0 + 16d0*Nc*Ten139*coupl(nGC_372)**2d0 + 4d0*Nc*    &
               Ten140*cMHH**2d0*coupl(nGC_372)**2d0 + 4d0*Nc*Ten141*cMHH**2d0* &
               coupl(nGC_348)**2d0 + 16d0*Nc*Ten142*coupl(nGC_348)**2d0 + 4d0* &
               Nc*Ten143*cMHH**2d0*coupl(nGC_348)**2d0 + 4d0*Nc*Ten144*cMHH**  &
               2d0*coupl(nGC_366)**2d0 + 16d0*Nc*Ten145*coupl(nGC_366)**2d0 +  &
               4d0*Nc*Ten146*cMHH**2d0*coupl(nGC_366)**2d0 + 4d0*Nc*Ten147*cMHH&
               **2d0*coupl(nGC_339)**2d0 + 16d0*Nc*Ten148*coupl(nGC_339)**2d0  &
                + 4d0*Nc*Ten149*cMHH**2d0*coupl(nGC_339)**2d0 + 4d0*Nc*Ten159* &
               cMU**2d0*coupl(nGC_384)**2d0*(cMHH**2d0 - rMHH**2d0) + 4d0*Nc*  &
               Ten160*cMC**2d0*coupl(nGC_336)**2d0*(cMHH**2d0 - rMHH**2d0) +   &
               4d0*Nc*Ten161*cMT**2d0*coupl(nGC_372)**2d0*(cMHH**2d0 - rMHH**  &
               2d0) + 4d0*Nc*Ten162*cMD**2d0*coupl(nGC_348)**2d0*(cMHH**2d0 -  &
               rMHH**2d0) + 4d0*Nc*Ten163*cMS**2d0*coupl(nGC_366)**2d0*(cMHH** &
               2d0 - rMHH**2d0) + 4d0*Nc*Ten164*cMB**2d0*coupl(nGC_339)**2d0*( &
               cMHH**2d0 - rMHH**2d0) + 4d0*Nc*Ten177*coupl(nGC_384)**2d0*rMHH &
               **2d0*(cMHH**2d0 - rMHH**2d0) + 16d0*Nc*Ten178*coupl(nGC_384)** &
               2d0*(cMHH**2d0 - rMHH**2d0) + 4d0*Nc*Ten179*coupl(nGC_384)**2d0*&
               rMHH**2d0*(cMHH**2d0 - rMHH**2d0) + 4d0*Nc*Ten180*coupl(nGC_336 &
               )**2d0*rMHH**2d0*(cMHH**2d0 - rMHH**2d0) + 16d0*Nc*Ten181*coupl(&
               nGC_336)**2d0*(cMHH**2d0 - rMHH**2d0) + 4d0*Nc*Ten182*coupl(    &
               nGC_336)**2d0*rMHH**2d0*(cMHH**2d0 - rMHH**2d0) + 4d0*Nc*Ten183*&
               coupl(nGC_372)**2d0*rMHH**2d0*(cMHH**2d0 - rMHH**2d0) + 16d0*Nc*&
               Ten184*coupl(nGC_372)**2d0*(cMHH**2d0 - rMHH**2d0) + 4d0*Nc*    &
               Ten185*coupl(nGC_372)**2d0*rMHH**2d0*(cMHH**2d0 - rMHH**2d0) +  &
               4d0*Nc*Ten186*coupl(nGC_348)**2d0*rMHH**2d0*(cMHH**2d0 - rMHH** &
               2d0) + 16d0*Nc*Ten187*coupl(nGC_348)**2d0*(cMHH**2d0 - rMHH**2d0&
               ) + 4d0*Nc*Ten188*coupl(nGC_348)**2d0*rMHH**2d0*(cMHH**2d0 -    &
               rMHH**2d0) + 4d0*Nc*Ten189*coupl(nGC_366)**2d0*rMHH**2d0*(cMHH**&
               2d0 - rMHH**2d0) + 16d0*Nc*Ten190*coupl(nGC_366)**2d0*(cMHH**2d0&
                - rMHH**2d0) + 4d0*Nc*Ten191*coupl(nGC_366)**2d0*rMHH**2d0*(   &
               cMHH**2d0 - rMHH**2d0) + 4d0*Nc*Ten192*coupl(nGC_339)**2d0*rMHH &
               **2d0*(cMHH**2d0 - rMHH**2d0) + 16d0*Nc*Ten193*coupl(nGC_339)** &
               2d0*(cMHH**2d0 - rMHH**2d0) + 4d0*Nc*Ten194*coupl(nGC_339)**2d0*&
               rMHH**2d0*(cMHH**2d0 - rMHH**2d0) + cima*Ten0*coupl(nGC_20)/2d0 &
                + cima*Ten1*(coupl(nGC_147) - 2d0*coupl(nGC_223) - 4d0*coupl(  &
               nGC_224))/2d0 + Ten105*(-4d0*cMHH**2d0*coupl(nGC_215)**2d0 -    &
               coupl(nGC_314)**2d0/2d0 + coupl(nGC_331)**2d0 - 2d0*coupl(      &
               nGC_332)**2d0) + Ten106*(-4d0*cMHH**2d0*coupl(nGC_214)**2d0 -   &
               coupl(nGC_298)**2d0) - Ten107*coupl(nGC_282)**2d0/2d0 + Ten108  &
               *(-8d0*cMHH**2d0*coupl(nGC_178)*coupl(nGC_179) + 2d0*coupl(     &
               nGC_271)**2d0 - 4d0*coupl(nGC_272)**2d0 - coupl(nGC_313)**2d0   &
               ) + Ten109*(-8d0*cMHH**2d0*coupl(nGC_172)*coupl(nGC_173) - 2d0* &
               coupl(nGC_297)**2d0) - Ten110*coupl(nGC_281)**2d0 - Ten111*coupl&
               (nGC_236)**2d0/2d0 - Ten112*coupl(nGC_233)**2d0 - Ten113*coupl( &
               nGC_235)**2d0/2d0 + 4d0*Ten114*cME**2d0*coupl(nGC_354)**2d0 +   &
               4d0*Ten115*cMM**2d0*coupl(nGC_360)**2d0 + 4d0*Ten116*cMTA**2d0* &
               coupl(nGC_378)**2d0 + 4d0*Ten123*cMHH**2d0*coupl(nGC_354)**2d0  &
                + 16d0*Ten124*coupl(nGC_354)**2d0 + 4d0*Ten125*cMHH**2d0*coupl(&
               nGC_354)**2d0 + 4d0*Ten126*cMHH**2d0*coupl(nGC_360)**2d0 + 16d0*&
               Ten127*coupl(nGC_360)**2d0 + 4d0*Ten128*cMHH**2d0*coupl(nGC_360 &
               )**2d0 + 4d0*Ten129*cMHH**2d0*coupl(nGC_378)**2d0 + cima*Ten13* &
               coupl(nGC_108) + 16d0*Ten130*coupl(nGC_378)**2d0 + 4d0*Ten131*  &
               cMHH**2d0*coupl(nGC_378)**2d0 + cima*Ten14*coupl(nGC_110)/2d0 + &
               Ten150*(-4d0*cMHH**2d0*coupl(nGC_215)**2d0*rMHH**2d0 - cMHH**2d0&
               *coupl(nGC_314)**2d0/2d0 + cMHH**2d0*coupl(nGC_331)**2d0 - 2d0* &
               cMHH**2d0*coupl(nGC_332)**2d0 + 4d0*coupl(nGC_215)**2d0*rMHH**  &
               4d0 + coupl(nGC_314)**2d0*rMHH**2d0/2d0 - coupl(nGC_331)**2d0*  &
               rMHH**2d0 + 2d0*coupl(nGC_332)**2d0*rMHH**2d0) + Ten151*(-4d0*  &
               cMHH**2d0*coupl(nGC_214)**2d0*rMHH**2d0 - cMHH**2d0*coupl(      &
               nGC_298)**2d0 + 4d0*coupl(nGC_214)**2d0*rMHH**4d0 + coupl(      &
               nGC_298)**2d0*rMHH**2d0) + Ten152*(-8d0*cMHH**2d0*coupl(nGC_178 &
               )*coupl(nGC_179)*rMHH**2d0 + 2d0*cMHH**2d0*coupl(nGC_271)**2d0  &
                - 4d0*cMHH**2d0*coupl(nGC_272)**2d0 - cMHH**2d0*coupl(nGC_313  &
               )**2d0 + 8d0*coupl(nGC_178)*coupl(nGC_179)*rMHH**4d0 - 2d0*coupl&
               (nGC_271)**2d0*rMHH**2d0 + 4d0*coupl(nGC_272)**2d0*rMHH**2d0 +  &
               coupl(nGC_313)**2d0*rMHH**2d0) + Ten153*(-8d0*cMHH**2d0*coupl(  &
               nGC_172)*coupl(nGC_173)*rMHH**2d0 - 2d0*cMHH**2d0*coupl(nGC_297 &
               )**2d0 + 8d0*coupl(nGC_172)*coupl(nGC_173)*rMHH**4d0 + 2d0*coupl&
               (nGC_297)**2d0*rMHH**2d0) + Ten154*coupl(nGC_282)**2d0*(-cMHH** &
               2d0 + rMHH**2d0)/2d0 + Ten155*coupl(nGC_281)**2d0*(-cMHH**2d0 + &
               rMHH**2d0) + 4d0*Ten156*cME**2d0*coupl(nGC_354)**2d0*(cMHH**2d0 &
                - rMHH**2d0) + 4d0*Ten157*cMM**2d0*coupl(nGC_360)**2d0*(cMHH** &
               2d0 - rMHH**2d0) + 4d0*Ten158*cMTA**2d0*coupl(nGC_378)**2d0*(   &
               cMHH**2d0 - rMHH**2d0) + Ten165*coupl(nGC_236)**2d0*(-cMHH**2d0 &
                + rMHH**2d0)/2d0 + Ten166*coupl(nGC_233)**2d0*(-cMHH**2d0 +    &
               rMHH**2d0) + Ten167*coupl(nGC_235)**2d0*(-cMHH**2d0 + rMHH**2d0 &
               )/2d0 + 4d0*Ten168*coupl(nGC_354)**2d0*rMHH**2d0*(cMHH**2d0 -   &
               rMHH**2d0) + 16d0*Ten169*coupl(nGC_354)**2d0*(cMHH**2d0 - rMHH**&
               2d0) + 4d0*Ten170*coupl(nGC_354)**2d0*rMHH**2d0*(cMHH**2d0 -    &
               rMHH**2d0) + 4d0*Ten171*coupl(nGC_360)**2d0*rMHH**2d0*(cMHH**2d0&
                - rMHH**2d0) + 16d0*Ten172*coupl(nGC_360)**2d0*(cMHH**2d0 -    &
               rMHH**2d0) + 4d0*Ten173*coupl(nGC_360)**2d0*rMHH**2d0*(cMHH**2d0&
                - rMHH**2d0) + 4d0*Ten174*coupl(nGC_378)**2d0*rMHH**2d0*(cMHH**&
               2d0 - rMHH**2d0) + 16d0*Ten175*coupl(nGC_378)**2d0*(cMHH**2d0 - &
               rMHH**2d0) + 4d0*Ten176*coupl(nGC_378)**2d0*rMHH**2d0*(cMHH**2d0&
                - rMHH**2d0) + cima*Ten2*coupl(nGC_19)/2d0 + cima*Ten3*(coupl( &
               nGC_146) - 2d0*coupl(nGC_76) - 4d0*coupl(nGC_77)) + pi**2d0*(-  &
               4d0*Nc*cMB**2d0*coupl(nGC_339)**2d0/pi**2d0 - 4d0*Nc*cMC**2d0*  &
               coupl(nGC_336)**2d0/pi**2d0 - 4d0*Nc*cMD**2d0*coupl(nGC_348)**  &
               2d0/pi**2d0 + 2d0*Nc*cMHH**2d0*coupl(nGC_336)**2d0/(3d0*pi**2d0 &
               ) + 2d0*Nc*cMHH**2d0*coupl(nGC_339)**2d0/(3d0*pi**2d0) + 2d0*Nc*&
               cMHH**2d0*coupl(nGC_348)**2d0/(3d0*pi**2d0) + 2d0*Nc*cMHH**2d0* &
               coupl(nGC_366)**2d0/(3d0*pi**2d0) + 2d0*Nc*cMHH**2d0*coupl(     &
               nGC_372)**2d0/(3d0*pi**2d0) + 2d0*Nc*cMHH**2d0*coupl(nGC_384)** &
               2d0/(3d0*pi**2d0) - 4d0*Nc*cMS**2d0*coupl(nGC_366)**2d0/pi**2d0 &
                - 4d0*Nc*cMT**2d0*coupl(nGC_372)**2d0/pi**2d0 - 4d0*Nc*cMU**2d0&
               *coupl(nGC_384)**2d0/pi**2d0 - 4d0*cME**2d0*coupl(nGC_354)**2d0/&
               pi**2d0 + 2d0*cMHH**2d0*coupl(nGC_354)**2d0/(3d0*pi**2d0) + 2d0*&
               cMHH**2d0*coupl(nGC_360)**2d0/(3d0*pi**2d0) + 2d0*cMHH**2d0*    &
               coupl(nGC_378)**2d0/(3d0*pi**2d0) - 4d0*cMM**2d0*coupl(nGC_360  &
               )**2d0/pi**2d0 - 4d0*cMTA**2d0*coupl(nGC_378)**2d0/pi**2d0 + 2d0&
               *cima*cMW**2d0*coupl(nGC_77)/pi**2d0 + cima*cMZ**2d0*coupl(     &
               nGC_224)/pi**2d0 + 2d0*coupl(nGC_272)**2d0/pi**2d0 + coupl(     &
               nGC_332)**2d0/pi**2d0))/(16d0*pi**2d0) + cima*coupl(nGC_233)*   &
               dtHl_QED1/cMHL**2d0 + cima*coupl(nGC_235)*dtHh_QED1/cMHH**2d0
    if (.not. complex_mass_scheme) then
      dMHH2_QED2 = cone*real(dMHH2_QED2,kind=dp)
    end if 
end subroutine set_ctparameter174
end module ctparameter174
