!******************************************************************************!
!                                                                              !
!    ctparameter179.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter179.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-03-15 22:40             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter179
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter179()
  DeltaUV = DeltaUV + log(muUV**2/muMS**2)
  dZGMinusHMinus_MS_QED2 = DeltaUV*(-4d0*Nc*cMB**2d0*coupl(nGC_340)*coupl(     &
                           nGC_343) - 4d0*Nc*cMB**2d0*coupl(nGC_370)*coupl(    &
                           nGC_373) - 4d0*Nc*cMB*cMT*coupl(nGC_340)*coupl(     &
                           nGC_370) - 4d0*Nc*cMB*cMT*coupl(nGC_343)*coupl(     &
                           nGC_373) - 4d0*Nc*cMC**2d0*coupl(nGC_334)*coupl(    &
                           nGC_337) - 4d0*Nc*cMC**2d0*coupl(nGC_364)*coupl(    &
                           nGC_367) - 4d0*Nc*cMC*cMS*coupl(nGC_334)*coupl(     &
                           nGC_367) - 4d0*Nc*cMC*cMS*coupl(nGC_337)*coupl(     &
                           nGC_364) - 4d0*Nc*cMD**2d0*coupl(nGC_346)*coupl(    &
                           nGC_349) - 4d0*Nc*cMD**2d0*coupl(nGC_382)*coupl(    &
                           nGC_385) - 4d0*Nc*cMD*cMU*coupl(nGC_346)*coupl(     &
                           nGC_385) - 4d0*Nc*cMD*cMU*coupl(nGC_349)*coupl(     &
                           nGC_382) + 2d0*Nc*cMHC**2d0*coupl(nGC_334)*coupl(   &
                           nGC_337) + 2d0*Nc*cMHC**2d0*coupl(nGC_340)*coupl(   &
                           nGC_343) + 2d0*Nc*cMHC**2d0*coupl(nGC_346)*coupl(   &
                           nGC_349) + 2d0*Nc*cMHC**2d0*coupl(nGC_364)*coupl(   &
                           nGC_367) + 2d0*Nc*cMHC**2d0*coupl(nGC_370)*coupl(   &
                           nGC_373) + 2d0*Nc*cMHC**2d0*coupl(nGC_382)*coupl(   &
                           nGC_385) - 4d0*Nc*cMS**2d0*coupl(nGC_334)*coupl(    &
                           nGC_337) - 4d0*Nc*cMS**2d0*coupl(nGC_364)*coupl(    &
                           nGC_367) - 4d0*Nc*cMT**2d0*coupl(nGC_340)*coupl(    &
                           nGC_343) - 4d0*Nc*cMT**2d0*coupl(nGC_370)*coupl(    &
                           nGC_373) - 4d0*Nc*cMU**2d0*coupl(nGC_346)*coupl(    &
                           nGC_349) - 4d0*Nc*cMU**2d0*coupl(nGC_382)*coupl(    &
                           nGC_385) - 4d0*cME**2d0*coupl(nGC_352)*coupl(nGC_355&
                           ) - cima*cMHA**2d0*coupl(nGC_54) + 8d0*cMHC**2d0*   &
                           coupl(nGC_173)*coupl(nGC_178) + 8d0*cMHC**2d0*coupl(&
                           nGC_173)*coupl(nGC_179) + 2d0*cMHC**2d0*coupl(      &
                           nGC_352)*coupl(nGC_355) + 2d0*cMHC**2d0*coupl(      &
                           nGC_358)*coupl(nGC_361) + 2d0*cMHC**2d0*coupl(      &
                           nGC_376)*coupl(nGC_379) - 2d0*cima*cMHC**2d0*coupl( &
                           nGC_56) - cima*cMHH**2d0*coupl(nGC_134) - cima*cMHL &
                           **2d0*coupl(nGC_129) - 4d0*cMM**2d0*coupl(nGC_358)* &
                           coupl(nGC_361) - 4d0*cMTA**2d0*coupl(nGC_376)*coupl(&
                           nGC_379) - 2d0*cima*cMW**2d0*coupl(nGC_57) - cima*  &
                           cMZ**2d0*coupl(nGC_55) + 8d0*coupl(nGC_231)*coupl(  &
                           nGC_237) - 4d0*coupl(nGC_232)*coupl(nGC_238) + 2d0* &
                           coupl(nGC_239)*coupl(nGC_257) + 2d0*coupl(nGC_248)* &
                           coupl(nGC_256) + 2d0*coupl(nGC_277)*coupl(nGC_288   &
                           ) + 2d0*coupl(nGC_279)*coupl(nGC_287) + 2d0*coupl(  &
                           nGC_293)*coupl(nGC_309) + 2d0*coupl(nGC_295)*coupl( &
                           nGC_311) + 2d0*coupl(nGC_301)*coupl(nGC_316) + 2d0* &
                           coupl(nGC_306)*coupl(nGC_318) + 8d0*coupl(nGC_321)* &
                           coupl(nGC_324) - 4d0*coupl(nGC_322)*coupl(nGC_325   &
                           ))/(16d0*pi**2d0*cMHC**2d0) - 2d0*cima*coupl(nGC_252&
                           )*dtHl_MS_QED1/(cMHC**2d0*cMHL**2d0) - 2d0*cima*    &
                           coupl(nGC_244)*dtHh_MS_QED1/(cMHC**2d0*cMHH**2d0)
    if (.not. complex_mass_scheme) then
      dZGMinusHMinus_MS_QED2 = cone*real(dZGMinusHMinus_MS_QED2,kind=dp)
    end if 
  DeltaUV = DeltaUV - log(muUV**2/muMS**2)
end subroutine set_ctparameter179
end module ctparameter179
