!******************************************************************************!
!                                                                              !
!    ctparameter183.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter183.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-03-15 22:40             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter183
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter183()
  if (db_QED2_scheme .eq. 2) then
    db_QED2 = -cima*V_Hvv_da_T1_QED3*cMW*sa*sb*sw/(16d0*pi**2d0*ca*ee) -       &
              V_Hvv_db_T1_QED3*cMW*sw/(16d0*pi**2d0*ca*ee) + ca**2d0*dZHh_QED2*&
              sb/(2d0*cb) - ca*dZHhHl_QED2*sa*sb/(2d0*cb) - ca*dZHlHh_QED2*sa* &
              sb/(2d0*cb) + dZG0Ha_QED2/2d0 - dZHa_QED2*sb/(2d0*cb) + dZHl_QED2&
              *sa**2d0*sb/(2d0*cb)
    db_QED2 = cone*real(db_QED2,kind=dp)
  end if 
end subroutine set_ctparameter183
end module ctparameter183
