!******************************************************************************!
!                                                                              !
!    ctparameter32.f90                                                         !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter32.f90                              |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-03-15 22:40             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter32
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter32()
  DeltaUV = DeltaUV + log(muUV**2/muMS**2)
  dZHMinus_MS_QED2 = DeltaUV*(Nc*coupl(nGC_334)**2d0 + Nc*coupl(nGC_343)**2d0  &
                      + Nc*coupl(nGC_346)**2d0 + Nc*coupl(nGC_364)**2d0 + Nc*  &
                     coupl(nGC_370)**2d0 + Nc*coupl(nGC_382)**2d0 + 4d0*coupl( &
                     nGC_172)*coupl(nGC_173) + 4d0*coupl(nGC_178)*coupl(nGC_179&
                     ) + 4d0*coupl(nGC_184)**2d0 + 4d0*coupl(nGC_217)*coupl(   &
                     nGC_218) + 4d0*coupl(nGC_25)*coupl(nGC_26) + coupl(nGC_352&
                     )**2d0 + coupl(nGC_358)**2d0 + coupl(nGC_376)**2d0)/(16d0*&
                     pi**2d0)
    if (.not. complex_mass_scheme) then
      dZHMinus_MS_QED2 = cone*real(dZHMinus_MS_QED2,kind=dp)
    end if 
  DeltaUV = DeltaUV - log(muUV**2/muMS**2)
end subroutine set_ctparameter32
end module ctparameter32
