!******************************************************************************!
!                                                                              !
!    ctparameter33.f90                                                         !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter33.f90                              |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-03-15 22:40             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter33
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter33()
  dZtL_QED2 = (2d0*Ten702*coupl(nGC_2)**2d0 + Ten703*(2d0*coupl(nGC_210)**2d0  &
               - coupl(nGC_374)**2d0) + Ten704*(2d0*coupl(nGC_197)**2d0 + coupl&
              (nGC_340)**2d0) + Ten705*coupl(nGC_371)**2d0 - Ten706*coupl(     &
              nGC_369)**2d0 - Ten707*coupl(nGC_372)**2d0 + 2d0*Ten708*coupl(   &
              nGC_2)**2d0 + Ten709*(2d0*coupl(nGC_210)**2d0 - coupl(nGC_374)** &
              2d0) + Ten710*(2d0*coupl(nGC_197)**2d0 + coupl(nGC_340)**2d0) -  &
              Ten711*coupl(nGC_343)**2d0 + 2d0*Ten716*cMT*coupl(nGC_371)**2d0* &
              rMT + 2d0*Ten717*cMT*coupl(nGC_369)**2d0*rMT + 2d0*Ten718*cMT*   &
              coupl(nGC_372)**2d0*rMT + 4d0*Ten719*coupl(nGC_2)**2d0*rMT*(-2d0*&
              cMT + rMT) + 2d0*Ten720*rMT*(-4d0*cMT*coupl(nGC_207)*coupl(      &
              nGC_210) + cMT*coupl(nGC_374)**2d0 + coupl(nGC_207)**2d0*rMT +   &
              coupl(nGC_210)**2d0*rMT - coupl(nGC_374)**2d0*rMT) + Ten721*rMT*(&
              2d0*cMB*coupl(nGC_340)*coupl(nGC_373) + 2d0*coupl(nGC_197)**2d0* &
              rMT + coupl(nGC_340)**2d0*rMT + coupl(nGC_373)**2d0*rMT) + 2d0*  &
              Ten722*cMB*coupl(nGC_343)*coupl(nGC_370)*rMT + 2d0*Ten723*coupl( &
              nGC_371)**2d0*rMT**2d0 - 2d0*Ten724*coupl(nGC_369)**2d0*rMT**2d0 &
               - 2d0*Ten725*coupl(nGC_372)**2d0*rMT**2d0 + 4d0*Ten726*coupl(   &
              nGC_2)**2d0*rMT**2d0 + 2d0*Ten727*rMT**2d0*(coupl(nGC_207)**2d0  &
               + coupl(nGC_210)**2d0 - coupl(nGC_374)**2d0) + Ten728*rMT**2d0*(&
              2d0*coupl(nGC_197)**2d0 + coupl(nGC_340)**2d0 + coupl(nGC_373)** &
              2d0) + Ten729*rMT**2d0*(-coupl(nGC_343)**2d0 - coupl(nGC_370)**  &
              2d0) + pi**2d0*(-coupl(nGC_197)**2d0/pi**2d0 - coupl(nGC_2)**2d0/&
              pi**2d0 - coupl(nGC_210)**2d0/pi**2d0))/(16d0*pi**2d0)
    if (.not. complex_mass_scheme) then
      dZtL_QED2 = cone*real(dZtL_QED2,kind=dp)
    end if 
end subroutine set_ctparameter33
end module ctparameter33
