!******************************************************************************!
!                                                                              !
!    ctparameter49.f90                                                         !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter49.f90                              |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-03-15 22:40             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter49
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter49()
  if (dZtauMinusR_QED2_scheme .eq. 0) then
    dZtauMinusR_QED2 = (2d0*Ten807*coupl(nGC_4)**2d0 + Ten808*(2d0*coupl(      &
                       nGC_208)**2d0 - coupl(nGC_380)**2d0) + Ten809*coupl(    &
                       nGC_377)**2d0 - Ten810*coupl(nGC_375)**2d0 - Ten811*    &
                       coupl(nGC_378)**2d0 + 2d0*Ten812*coupl(nGC_4)**2d0 -    &
                       Ten813*coupl(nGC_379)**2d0 - Ten814*coupl(nGC_376)**2d0 &
                        + Ten815*(2d0*coupl(nGC_208)**2d0 - coupl(nGC_380)**2d0&
                       ) + 2d0*Ten819*cMTA*coupl(nGC_377)**2d0*rMTA + 2d0*     &
                       Ten820*cMTA*coupl(nGC_375)**2d0*rMTA + 2d0*Ten821*cMTA* &
                       coupl(nGC_378)**2d0*rMTA + 4d0*Ten822*coupl(nGC_4)**2d0*&
                       rMTA*(-2d0*cMTA + rMTA) + 2d0*Ten823*rMTA*(-4d0*cMTA*   &
                       coupl(nGC_208)*coupl(nGC_211) + cMTA*coupl(nGC_380)**2d0&
                        + coupl(nGC_208)**2d0*rMTA + coupl(nGC_211)**2d0*rMTA  &
                        - coupl(nGC_380)**2d0*rMTA) + 2d0*Ten824*coupl(nGC_377 &
                       )**2d0*rMTA**2d0 - 2d0*Ten825*coupl(nGC_375)**2d0*rMTA**&
                       2d0 - 2d0*Ten826*coupl(nGC_378)**2d0*rMTA**2d0 + 4d0*   &
                       Ten827*coupl(nGC_4)**2d0*rMTA**2d0 + Ten828*rMTA**2d0*(-&
                       2d0*coupl(nGC_197)**2d0 - coupl(nGC_379)**2d0) - Ten829*&
                       coupl(nGC_376)**2d0*rMTA**2d0 + 2d0*Ten830*rMTA**2d0*(  &
                       coupl(nGC_208)**2d0 + coupl(nGC_211)**2d0 - coupl(      &
                       nGC_380)**2d0) + pi**2d0*(-coupl(nGC_208)**2d0/pi**2d0  &
                        - coupl(nGC_4)**2d0/pi**2d0))/(16d0*pi**2d0)
    if (.not. complex_mass_scheme) then
      dZtauMinusR_QED2 = cone*real(dZtauMinusR_QED2,kind=dp)
    end if 
  end if 
end subroutine set_ctparameter49
end module ctparameter49
