!******************************************************************************!
!                                                                              !
!    ctparameter96.f90                                                         !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter96.f90                              |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-03-15 22:40             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter96
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter96()
  if (dMB_QED2_scheme .eq. 0) then
    dMB_QED2 = (2d0*Ten642*cMB*coupl(nGC_1)**2d0 + Ten643*cMB*(-coupl(nGC_206  &
               )**2d0 + 4d0*coupl(nGC_206)*coupl(nGC_209) - coupl(nGC_209)**2d0&
               ) + Ten644*(-cMB*coupl(nGC_197)**2d0 - cMB*coupl(nGC_340)**2d0/ &
               2d0 - cMB*coupl(nGC_373)**2d0/2d0 - cMT*coupl(nGC_340)*coupl(   &
               nGC_373)) - Ten645*cMB*coupl(nGC_344)**2d0 + Ten646*cMB*coupl(  &
               nGC_339)**2d0 + Ten647*cMB*coupl(nGC_342)**2d0 - 2d0*Ten648*cMB*&
               coupl(nGC_1)**2d0 + Ten649*cMB*(-coupl(nGC_206)**2d0 - coupl(   &
               nGC_209)**2d0 + coupl(nGC_341)**2d0) + Ten650*cMB*(-2d0*coupl(  &
               nGC_197)**2d0 - coupl(nGC_340)**2d0 - coupl(nGC_373)**2d0)/2d0  &
                + Ten651*cMB*(coupl(nGC_343)**2d0 + coupl(nGC_370)**2d0)/2d0 - &
               Ten652*cMB*coupl(nGC_344)**2d0 - Ten653*cMB*coupl(nGC_339)**2d0 &
                - Ten654*cMB*coupl(nGC_342)**2d0 - Ten655*cMT*coupl(nGC_343)*  &
               coupl(nGC_370) + 2d0*Ten656*cMB*coupl(nGC_344)**2d0*rMB*(-cMB + &
               rMB) + 2d0*Ten657*cMB*coupl(nGC_339)**2d0*rMB*(-cMB + rMB) + 2d0&
               *Ten658*cMB*coupl(nGC_342)**2d0*rMB*(-cMB + rMB) + 4d0*Ten659*  &
               coupl(nGC_1)**2d0*rMB*(2d0*cMB**2d0 - 3d0*cMB*rMB + rMB**2d0) + &
               2d0*Ten660*rMB*(4d0*cMB**2d0*coupl(nGC_206)*coupl(nGC_209) - cMB&
               **2d0*coupl(nGC_341)**2d0 - cMB*coupl(nGC_206)**2d0*rMB - 4d0*  &
               cMB*coupl(nGC_206)*coupl(nGC_209)*rMB - cMB*coupl(nGC_209)**2d0*&
               rMB + 2d0*cMB*coupl(nGC_341)**2d0*rMB + coupl(nGC_206)**2d0*rMB &
               **2d0 + coupl(nGC_209)**2d0*rMB**2d0 - coupl(nGC_341)**2d0*rMB**&
               2d0) + Ten661*rMB*(-2d0*cMB*cMT*coupl(nGC_340)*coupl(nGC_373) - &
               2d0*cMB*coupl(nGC_197)**2d0*rMB - cMB*coupl(nGC_340)**2d0*rMB - &
               cMB*coupl(nGC_373)**2d0*rMB + 2d0*cMT*coupl(nGC_340)*coupl(     &
               nGC_373)*rMB + 2d0*coupl(nGC_197)**2d0*rMB**2d0 + coupl(nGC_340 &
               )**2d0*rMB**2d0 + coupl(nGC_373)**2d0*rMB**2d0) + 2d0*Ten662*cMT&
               *coupl(nGC_343)*coupl(nGC_370)*rMB*(-cMB + rMB) + 2d0*Ten663*   &
               coupl(nGC_344)**2d0*rMB**2d0*(-cMB + rMB) + 2d0*Ten664*coupl(   &
               nGC_339)**2d0*rMB**2d0*(cMB - rMB) + 2d0*Ten665*coupl(nGC_342)**&
               2d0*rMB**2d0*(cMB - rMB) + 4d0*Ten666*coupl(nGC_1)**2d0*rMB**2d0&
               *(-cMB + rMB) + 2d0*Ten667*rMB**2d0*(-cMB*coupl(nGC_206)**2d0 - &
               cMB*coupl(nGC_209)**2d0 + cMB*coupl(nGC_341)**2d0 + coupl(      &
               nGC_206)**2d0*rMB + coupl(nGC_209)**2d0*rMB - coupl(nGC_341)**  &
               2d0*rMB) + Ten668*rMB**2d0*(-2d0*cMB*coupl(nGC_197)**2d0 - cMB* &
               coupl(nGC_340)**2d0 - cMB*coupl(nGC_373)**2d0 + 2d0*coupl(      &
               nGC_197)**2d0*rMB + coupl(nGC_340)**2d0*rMB + coupl(nGC_373)**  &
               2d0*rMB) + Ten669*rMB**2d0*(cMB*coupl(nGC_343)**2d0 + cMB*coupl(&
               nGC_370)**2d0 - coupl(nGC_343)**2d0*rMB - coupl(nGC_370)**2d0*  &
               rMB) + pi**2d0*(-8d0*aEW*cMB**2d0/(9d0*pi*rMB) + 8d0*aEW*rMB/(  &
               9d0*pi) - cMB*coupl(nGC_1)**2d0/pi**2d0 + cMB*coupl(nGC_197)**  &
               2d0/(2d0*pi**2d0) + cMB*coupl(nGC_206)**2d0/(2d0*pi**2d0) - 2d0*&
               cMB*coupl(nGC_206)*coupl(nGC_209)/pi**2d0 + cMB*coupl(nGC_209)**&
               2d0/(2d0*pi**2d0)))/(16d0*pi**2d0) + cima*coupl(nGC_342)*       &
               dtHl_QED1/cMHL**2d0 + cima*coupl(nGC_339)*dtHh_QED1/cMHH**2d0
    if (.not. complex_mass_scheme) then
      dMB_QED2 = cone*real(dMB_QED2,kind=dp)
    end if 
  end if 
end subroutine set_ctparameter96
end module ctparameter96
